"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InferableAPIError = exports.PollTimeoutError = exports.InferableError = void 0;
class InferableError extends Error {
    constructor(message, meta) {
        super(message);
        this.name = "InferableError";
        this.meta = meta;
    }
}
exports.InferableError = InferableError;
InferableError.JOB_AUTHCONTEXT_INVALID = "Function requires authentication but no auth context was provided.";
class PollTimeoutError extends InferableError {
    constructor(message, meta) {
        super(message, meta);
        this.name = "PollTimeoutError";
    }
}
exports.PollTimeoutError = PollTimeoutError;
class InferableAPIError extends Error {
    constructor(message, response) {
        let msg = message;
        if (response instanceof Error) {
            msg += `\n${response.message}`;
        }
        else if (typeof response === "string") {
            msg += `\n${response}`;
        }
        else if (typeof response === "object") {
            msg += `\n${JSON.stringify(response)}`;
        }
        super(msg);
        this.name = "InferableAPIError";
    }
}
exports.InferableAPIError = InferableAPIError;
//# sourceMappingURL=errors.js.map