import debug from "debug";
import { createApiClient } from "./create-client";
import { ToolRegistrationInput } from "./types";
export declare const log: debug.Debugger;
export declare class PollingAgent {
    clusterId: string;
    polling: boolean;
    private tools;
    private client;
    private retryAfter;
    constructor(options: {
        endpoint: string;
        machineId: string;
        apiSecret: string;
        clusterId: string;
        tools: ToolRegistrationInput<any>[];
    });
    start(): Promise<void>;
    stop(): Promise<void>;
    private runLoop;
    private pollIteration;
    private processCall;
}
export declare const registerMachine: (client: ReturnType<typeof createApiClient>, tools?: ToolRegistrationInput<any>[]) => Promise<{
    clusterId: string;
}>;
