import { z } from "zod";
export declare const notificationSchema: z.ZodObject<{
    destination: z.ZodOptional<z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
        type: z.ZodLiteral<"slack">;
        channelId: z.ZodOptional<z.ZodString>;
        threadId: z.ZodOptional<z.ZodString>;
        userId: z.ZodOptional<z.ZodString>;
        email: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        type: "slack";
        channelId?: string | undefined;
        threadId?: string | undefined;
        userId?: string | undefined;
        email?: string | undefined;
    }, {
        type: "slack";
        channelId?: string | undefined;
        threadId?: string | undefined;
        userId?: string | undefined;
        email?: string | undefined;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"email">;
        email: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "email";
        email: string;
    }, {
        type: "email";
        email: string;
    }>]>>;
    message: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    message?: string | undefined;
    destination?: {
        type: "slack";
        channelId?: string | undefined;
        threadId?: string | undefined;
        userId?: string | undefined;
        email?: string | undefined;
    } | {
        type: "email";
        email: string;
    } | undefined;
}, {
    message?: string | undefined;
    destination?: {
        type: "slack";
        channelId?: string | undefined;
        threadId?: string | undefined;
        userId?: string | undefined;
        email?: string | undefined;
    } | {
        type: "email";
        email: string;
    } | undefined;
}>;
export declare const interruptSchema: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
    type: z.ZodEnum<["approval", "general"]>;
    notification: z.ZodOptional<z.ZodObject<{
        destination: z.ZodOptional<z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
            type: z.ZodLiteral<"slack">;
            channelId: z.ZodOptional<z.ZodString>;
            threadId: z.ZodOptional<z.ZodString>;
            userId: z.ZodOptional<z.ZodString>;
            email: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            type: "slack";
            channelId?: string | undefined;
            threadId?: string | undefined;
            userId?: string | undefined;
            email?: string | undefined;
        }, {
            type: "slack";
            channelId?: string | undefined;
            threadId?: string | undefined;
            userId?: string | undefined;
            email?: string | undefined;
        }>, z.ZodObject<{
            type: z.ZodLiteral<"email">;
            email: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            type: "email";
            email: string;
        }, {
            type: "email";
            email: string;
        }>]>>;
        message: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        message?: string | undefined;
        destination?: {
            type: "slack";
            channelId?: string | undefined;
            threadId?: string | undefined;
            userId?: string | undefined;
            email?: string | undefined;
        } | {
            type: "email";
            email: string;
        } | undefined;
    }, {
        message?: string | undefined;
        destination?: {
            type: "slack";
            channelId?: string | undefined;
            threadId?: string | undefined;
            userId?: string | undefined;
            email?: string | undefined;
        } | {
            type: "email";
            email: string;
        } | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    type: "approval" | "general";
    notification?: {
        message?: string | undefined;
        destination?: {
            type: "slack";
            channelId?: string | undefined;
            threadId?: string | undefined;
            userId?: string | undefined;
            email?: string | undefined;
        } | {
            type: "email";
            email: string;
        } | undefined;
    } | undefined;
}, {
    type: "approval" | "general";
    notification?: {
        message?: string | undefined;
        destination?: {
            type: "slack";
            channelId?: string | undefined;
            threadId?: string | undefined;
            userId?: string | undefined;
            email?: string | undefined;
        } | {
            type: "email";
            email: string;
        } | undefined;
    } | undefined;
}>]>;
export declare const VersionedTextsSchema: z.ZodObject<{
    current: z.ZodObject<{
        version: z.ZodString;
        content: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        version: string;
        content: string;
    }, {
        version: string;
        content: string;
    }>;
    history: z.ZodArray<z.ZodObject<{
        version: z.ZodString;
        content: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        version: string;
        content: string;
    }, {
        version: string;
        content: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    current: {
        version: string;
        content: string;
    };
    history: {
        version: string;
        content: string;
    }[];
}, {
    current: {
        version: string;
        content: string;
    };
    history: {
        version: string;
        content: string;
    }[];
}>;
export declare const onStatusChangeSchema: z.ZodEffects<z.ZodUnion<[z.ZodObject<{
    type: z.ZodLiteral<"function">;
    statuses: z.ZodArray<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>, "many">;
    function: z.ZodObject<{
        service: z.ZodString;
        function: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        function: string;
        service: string;
    }, {
        function: string;
        service: string;
    }>;
}, "strip", z.ZodTypeAny, {
    function: {
        function: string;
        service: string;
    };
    type: "function";
    statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
}, {
    function: {
        function: string;
        service: string;
    };
    type: "function";
    statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
}>, z.ZodObject<{
    type: z.ZodLiteral<"tool">;
    statuses: z.ZodArray<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>, "many">;
    tool: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "tool";
    statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
    tool: string;
}, {
    type: "tool";
    statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
    tool: string;
}>, z.ZodObject<{
    type: z.ZodLiteral<"webhook">;
    statuses: z.ZodArray<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>, "many">;
    webhook: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "webhook";
    statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
    webhook: string;
}, {
    type: "webhook";
    statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
    webhook: string;
}>, z.ZodObject<{
    type: z.ZodLiteral<"workflow">;
    statuses: z.ZodArray<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>, "many">;
    workflow: z.ZodObject<{
        executionId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        executionId: string;
    }, {
        executionId: string;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "workflow";
    statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
    workflow: {
        executionId: string;
    };
}, {
    type: "workflow";
    statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
    workflow: {
        executionId: string;
    };
}>]>, {
    function: {
        function: string;
        service: string;
    };
    type: "function";
    statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
} | {
    type: "tool";
    statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
    tool: string;
} | {
    type: "webhook";
    statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
    webhook: string;
} | {
    type: "workflow";
    statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
    workflow: {
        executionId: string;
    };
}, unknown>;
export declare const integrationSchema: z.ZodObject<{
    toolhouse: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        apiKey: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        apiKey: string;
    }, {
        apiKey: string;
    }>>>;
    langfuse: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        publicKey: z.ZodString;
        secretKey: z.ZodString;
        baseUrl: z.ZodString;
        sendMessagePayloads: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        publicKey: string;
        secretKey: string;
        baseUrl: string;
        sendMessagePayloads: boolean;
    }, {
        publicKey: string;
        secretKey: string;
        baseUrl: string;
        sendMessagePayloads: boolean;
    }>>>;
    tavily: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        apiKey: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        apiKey: string;
    }, {
        apiKey: string;
    }>>>;
    valtown: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        endpoint: z.ZodString;
        token: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        endpoint: string;
        token: string;
    }, {
        endpoint: string;
        token: string;
    }>>>;
    slack: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        nangoConnectionId: z.ZodString;
        botUserId: z.ZodString;
        teamId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        nangoConnectionId: string;
        botUserId: string;
        teamId: string;
    }, {
        nangoConnectionId: string;
        botUserId: string;
        teamId: string;
    }>>>;
    email: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        connectionId: z.ZodString;
        validateSPFandDKIM: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        connectionId: string;
        validateSPFandDKIM?: boolean | undefined;
    }, {
        connectionId: string;
        validateSPFandDKIM?: boolean | undefined;
    }>>>;
}, "strip", z.ZodTypeAny, {
    slack?: {
        nangoConnectionId: string;
        botUserId: string;
        teamId: string;
    } | null | undefined;
    email?: {
        connectionId: string;
        validateSPFandDKIM?: boolean | undefined;
    } | null | undefined;
    toolhouse?: {
        apiKey: string;
    } | null | undefined;
    langfuse?: {
        publicKey: string;
        secretKey: string;
        baseUrl: string;
        sendMessagePayloads: boolean;
    } | null | undefined;
    tavily?: {
        apiKey: string;
    } | null | undefined;
    valtown?: {
        endpoint: string;
        token: string;
    } | null | undefined;
}, {
    slack?: {
        nangoConnectionId: string;
        botUserId: string;
        teamId: string;
    } | null | undefined;
    email?: {
        connectionId: string;
        validateSPFandDKIM?: boolean | undefined;
    } | null | undefined;
    toolhouse?: {
        apiKey: string;
    } | null | undefined;
    langfuse?: {
        publicKey: string;
        secretKey: string;
        baseUrl: string;
        sendMessagePayloads: boolean;
    } | null | undefined;
    tavily?: {
        apiKey: string;
    } | null | undefined;
    valtown?: {
        endpoint: string;
        token: string;
    } | null | undefined;
}>;
export declare const learningSchema: z.ZodObject<{
    summary: z.ZodString;
    entities: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        type: z.ZodEnum<["tool"]>;
    }, "strip", z.ZodTypeAny, {
        type: "tool";
        name: string;
    }, {
        type: "tool";
        name: string;
    }>, "many">;
    relevance: z.ZodObject<{
        temporality: z.ZodEnum<["transient", "persistent"]>;
    }, "strip", z.ZodTypeAny, {
        temporality: "transient" | "persistent";
    }, {
        temporality: "transient" | "persistent";
    }>;
}, "strip", z.ZodTypeAny, {
    summary: string;
    entities: {
        type: "tool";
        name: string;
    }[];
    relevance: {
        temporality: "transient" | "persistent";
    };
}, {
    summary: string;
    entities: {
        type: "tool";
        name: string;
    }[];
    relevance: {
        temporality: "transient" | "persistent";
    };
}>;
export declare const unifiedMessageSchema: z.ZodDiscriminatedUnion<"type", [z.ZodObject<z.objectUtil.extendShape<{
    type: z.ZodLiteral<"agent">;
    data: z.ZodObject<{
        done: z.ZodOptional<z.ZodBoolean>;
        result: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        message: z.ZodOptional<z.ZodString>;
        learnings: z.ZodOptional<z.ZodArray<z.ZodObject<{
            summary: z.ZodString;
            entities: z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodEnum<["tool"]>;
            }, "strip", z.ZodTypeAny, {
                type: "tool";
                name: string;
            }, {
                type: "tool";
                name: string;
            }>, "many">;
            relevance: z.ZodObject<{
                temporality: z.ZodEnum<["transient", "persistent"]>;
            }, "strip", z.ZodTypeAny, {
                temporality: "transient" | "persistent";
            }, {
                temporality: "transient" | "persistent";
            }>;
        }, "strip", z.ZodTypeAny, {
            summary: string;
            entities: {
                type: "tool";
                name: string;
            }[];
            relevance: {
                temporality: "transient" | "persistent";
            };
        }, {
            summary: string;
            entities: {
                type: "tool";
                name: string;
            }[];
            relevance: {
                temporality: "transient" | "persistent";
            };
        }>, "many">>;
        issue: z.ZodOptional<z.ZodString>;
        invocations: z.ZodOptional<z.ZodArray<z.ZodObject<{
            id: z.ZodOptional<z.ZodString>;
            toolName: z.ZodString;
            reasoning: z.ZodOptional<z.ZodString>;
            input: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
        }, "strip", z.ZodTypeAny, {
            toolName: string;
            input: {} & {
                [k: string]: unknown;
            };
            id?: string | undefined;
            reasoning?: string | undefined;
        }, {
            toolName: string;
            input: {} & {
                [k: string]: unknown;
            };
            id?: string | undefined;
            reasoning?: string | undefined;
        }>, "many">>;
    }, "strict", z.ZodTypeAny, {
        message?: string | undefined;
        done?: boolean | undefined;
        result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        learnings?: {
            summary: string;
            entities: {
                type: "tool";
                name: string;
            }[];
            relevance: {
                temporality: "transient" | "persistent";
            };
        }[] | undefined;
        issue?: string | undefined;
        invocations?: {
            toolName: string;
            input: {} & {
                [k: string]: unknown;
            };
            id?: string | undefined;
            reasoning?: string | undefined;
        }[] | undefined;
    }, {
        message?: string | undefined;
        done?: boolean | undefined;
        result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        learnings?: {
            summary: string;
            entities: {
                type: "tool";
                name: string;
            }[];
            relevance: {
                temporality: "transient" | "persistent";
            };
        }[] | undefined;
        issue?: string | undefined;
        invocations?: {
            toolName: string;
            input: {} & {
                [k: string]: unknown;
            };
            id?: string | undefined;
            reasoning?: string | undefined;
        }[] | undefined;
    }>;
}, {
    id: z.ZodString;
    createdAt: z.ZodOptional<z.ZodDate>;
    pending: z.ZodOptional<z.ZodBoolean>;
    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
}>, "strip", z.ZodTypeAny, {
    type: "agent";
    id: string;
    data: {
        message?: string | undefined;
        done?: boolean | undefined;
        result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        learnings?: {
            summary: string;
            entities: {
                type: "tool";
                name: string;
            }[];
            relevance: {
                temporality: "transient" | "persistent";
            };
        }[] | undefined;
        issue?: string | undefined;
        invocations?: {
            toolName: string;
            input: {} & {
                [k: string]: unknown;
            };
            id?: string | undefined;
            reasoning?: string | undefined;
        }[] | undefined;
    };
    pending?: boolean | undefined;
    createdAt?: Date | undefined;
    metadata?: Record<string, unknown> | null | undefined;
}, {
    type: "agent";
    id: string;
    data: {
        message?: string | undefined;
        done?: boolean | undefined;
        result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        learnings?: {
            summary: string;
            entities: {
                type: "tool";
                name: string;
            }[];
            relevance: {
                temporality: "transient" | "persistent";
            };
        }[] | undefined;
        issue?: string | undefined;
        invocations?: {
            toolName: string;
            input: {} & {
                [k: string]: unknown;
            };
            id?: string | undefined;
            reasoning?: string | undefined;
        }[] | undefined;
    };
    pending?: boolean | undefined;
    createdAt?: Date | undefined;
    metadata?: Record<string, unknown> | null | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    type: z.ZodLiteral<"invocation-result">;
    data: z.ZodObject<{
        id: z.ZodString;
        toolName: z.ZodString;
        resultType: z.ZodEnum<["resolution", "rejection"]>;
        result: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
    }, "strict", z.ZodTypeAny, {
        id: string;
        toolName: string;
        resultType: "resolution" | "rejection";
        result: {} & {
            [k: string]: unknown;
        };
    }, {
        id: string;
        toolName: string;
        resultType: "resolution" | "rejection";
        result: {} & {
            [k: string]: unknown;
        };
    }>;
}, {
    id: z.ZodString;
    createdAt: z.ZodOptional<z.ZodDate>;
    pending: z.ZodOptional<z.ZodBoolean>;
    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
}>, "strip", z.ZodTypeAny, {
    type: "invocation-result";
    id: string;
    data: {
        id: string;
        toolName: string;
        resultType: "resolution" | "rejection";
        result: {} & {
            [k: string]: unknown;
        };
    };
    pending?: boolean | undefined;
    createdAt?: Date | undefined;
    metadata?: Record<string, unknown> | null | undefined;
}, {
    type: "invocation-result";
    id: string;
    data: {
        id: string;
        toolName: string;
        resultType: "resolution" | "rejection";
        result: {} & {
            [k: string]: unknown;
        };
    };
    pending?: boolean | undefined;
    createdAt?: Date | undefined;
    metadata?: Record<string, unknown> | null | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    type: z.ZodLiteral<"human">;
    data: z.ZodObject<{
        message: z.ZodString;
        details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "strict", z.ZodTypeAny, {
        message: string;
        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    }, {
        message: string;
        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    }>;
}, {
    id: z.ZodString;
    createdAt: z.ZodOptional<z.ZodDate>;
    pending: z.ZodOptional<z.ZodBoolean>;
    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
}>, "strip", z.ZodTypeAny, {
    type: "human";
    id: string;
    data: {
        message: string;
        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    };
    pending?: boolean | undefined;
    createdAt?: Date | undefined;
    metadata?: Record<string, unknown> | null | undefined;
}, {
    type: "human";
    id: string;
    data: {
        message: string;
        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    };
    pending?: boolean | undefined;
    createdAt?: Date | undefined;
    metadata?: Record<string, unknown> | null | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    type: z.ZodLiteral<"template">;
    data: z.ZodObject<{
        message: z.ZodString;
        details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "strict", z.ZodTypeAny, {
        message: string;
        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    }, {
        message: string;
        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    }>;
}, {
    id: z.ZodString;
    createdAt: z.ZodOptional<z.ZodDate>;
    pending: z.ZodOptional<z.ZodBoolean>;
    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
}>, "strip", z.ZodTypeAny, {
    type: "template";
    id: string;
    data: {
        message: string;
        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    };
    pending?: boolean | undefined;
    createdAt?: Date | undefined;
    metadata?: Record<string, unknown> | null | undefined;
}, {
    type: "template";
    id: string;
    data: {
        message: string;
        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    };
    pending?: boolean | undefined;
    createdAt?: Date | undefined;
    metadata?: Record<string, unknown> | null | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    type: z.ZodLiteral<"supervisor">;
    data: z.ZodObject<{
        message: z.ZodString;
        details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "strict", z.ZodTypeAny, {
        message: string;
        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    }, {
        message: string;
        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    }>;
}, {
    id: z.ZodString;
    createdAt: z.ZodOptional<z.ZodDate>;
    pending: z.ZodOptional<z.ZodBoolean>;
    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
}>, "strip", z.ZodTypeAny, {
    type: "supervisor";
    id: string;
    data: {
        message: string;
        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    };
    pending?: boolean | undefined;
    createdAt?: Date | undefined;
    metadata?: Record<string, unknown> | null | undefined;
}, {
    type: "supervisor";
    id: string;
    data: {
        message: string;
        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    };
    pending?: boolean | undefined;
    createdAt?: Date | undefined;
    metadata?: Record<string, unknown> | null | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    type: z.ZodLiteral<"agent-invalid">;
    data: z.ZodObject<{
        message: z.ZodString;
        details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "strict", z.ZodTypeAny, {
        message: string;
        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    }, {
        message: string;
        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    }>;
}, {
    id: z.ZodString;
    createdAt: z.ZodOptional<z.ZodDate>;
    pending: z.ZodOptional<z.ZodBoolean>;
    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
}>, "strip", z.ZodTypeAny, {
    type: "agent-invalid";
    id: string;
    data: {
        message: string;
        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    };
    pending?: boolean | undefined;
    createdAt?: Date | undefined;
    metadata?: Record<string, unknown> | null | undefined;
}, {
    type: "agent-invalid";
    id: string;
    data: {
        message: string;
        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    };
    pending?: boolean | undefined;
    createdAt?: Date | undefined;
    metadata?: Record<string, unknown> | null | undefined;
}>]>;
export type UnifiedMessage = z.infer<typeof unifiedMessageSchema>;
export type MessageTypes = "agent" | "human" | "template" | "invocation-result" | "supervisor" | "agent-invalid";
export type UnifiedMessageOfType<T extends MessageTypes> = Extract<UnifiedMessage, {
    type: T;
}>;
export declare const ToolConfigSchema: z.ZodObject<{
    cache: z.ZodOptional<z.ZodObject<{
        keyPath: z.ZodString;
        ttlSeconds: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        keyPath: string;
        ttlSeconds: number;
    }, {
        keyPath: string;
        ttlSeconds: number;
    }>>;
    retryCountOnStall: z.ZodOptional<z.ZodNumber>;
    timeoutSeconds: z.ZodOptional<z.ZodNumber>;
    private: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
}, "strip", z.ZodTypeAny, {
    cache?: {
        keyPath: string;
        ttlSeconds: number;
    } | undefined;
    retryCountOnStall?: number | undefined;
    timeoutSeconds?: number | undefined;
    private?: boolean | undefined;
}, {
    cache?: {
        keyPath: string;
        ttlSeconds: number;
    } | undefined;
    retryCountOnStall?: number | undefined;
    timeoutSeconds?: number | undefined;
    private?: boolean | undefined;
}>;
export declare const definition: {
    readonly live: {
        readonly method: "GET";
        readonly path: "/live";
        readonly responses: {
            readonly 200: z.ZodObject<{
                status: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                status: string;
            }, {
                status: string;
            }>;
        };
    };
    readonly createEphemeralSetup: {
        readonly method: "POST";
        readonly path: "/ephemeral-setup";
        readonly responses: {
            readonly 200: z.ZodObject<{
                clusterId: z.ZodString;
                apiKey: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                apiKey: string;
                clusterId: string;
            }, {
                apiKey: string;
                clusterId: string;
            }>;
        };
        readonly body: z.ZodUndefined;
    };
    readonly getContract: {
        readonly method: "GET";
        readonly path: "/contract";
        readonly responses: {
            readonly 200: z.ZodObject<{
                contract: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                contract: string;
            }, {
                contract: string;
            }>;
        };
    };
    readonly getJob: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/jobs/:jobId";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            jobId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            jobId: string;
        }, {
            clusterId: string;
            jobId: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodObject<{
                id: z.ZodString;
                status: z.ZodString;
                targetFn: z.ZodString;
                executingMachineId: z.ZodNullable<z.ZodString>;
                targetArgs: z.ZodString;
                result: z.ZodNullable<z.ZodString>;
                resultType: z.ZodNullable<z.ZodString>;
                createdAt: z.ZodDate;
                approved: z.ZodNullable<z.ZodBoolean>;
                approvalRequested: z.ZodNullable<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                status: string;
                id: string;
                resultType: string | null;
                result: string | null;
                createdAt: Date;
                targetFn: string;
                executingMachineId: string | null;
                targetArgs: string;
                approved: boolean | null;
                approvalRequested: boolean | null;
            }, {
                status: string;
                id: string;
                resultType: string | null;
                result: string | null;
                createdAt: Date;
                targetFn: string;
                executingMachineId: string | null;
                targetArgs: string;
                approved: boolean | null;
                approvalRequested: boolean | null;
            }>;
        };
    };
    readonly createJob: {
        readonly method: "POST";
        readonly path: "/clusters/:clusterId/jobs";
        readonly query: z.ZodObject<{
            waitTime: z.ZodDefault<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            waitTime: number;
        }, {
            waitTime?: number | undefined;
        }>;
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly body: z.ZodObject<{
            function: z.ZodOptional<z.ZodString>;
            tool: z.ZodOptional<z.ZodString>;
            input: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
        }, "strip", z.ZodTypeAny, {
            input: {} & {
                [k: string]: unknown;
            };
            function?: string | undefined;
            tool?: string | undefined;
        }, {
            input: {} & {
                [k: string]: unknown;
            };
            function?: string | undefined;
            tool?: string | undefined;
        }>;
        readonly responses: {
            readonly 401: z.ZodUndefined;
            readonly 200: z.ZodObject<{
                id: z.ZodString;
                result: z.ZodNullable<z.ZodAny>;
                resultType: z.ZodNullable<z.ZodEnum<["resolution", "rejection", "interrupt"]>>;
                status: z.ZodEnum<["pending", "running", "success", "failure", "stalled", "interrupted"]>;
            }, "strip", z.ZodTypeAny, {
                status: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted";
                id: string;
                resultType: "resolution" | "rejection" | "interrupt" | null;
                result?: any;
            }, {
                status: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted";
                id: string;
                resultType: "resolution" | "rejection" | "interrupt" | null;
                result?: any;
            }>;
        };
    };
    readonly cancelJob: {
        readonly method: "POST";
        readonly path: "/clusters/:clusterId/jobs/:jobId/cancel";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            jobId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            jobId: string;
        }, {
            clusterId: string;
            jobId: string;
        }>;
        readonly responses: {
            readonly 204: z.ZodUndefined;
            readonly 401: z.ZodUndefined;
        };
        readonly body: z.ZodUndefined;
    };
    readonly createJobResult: {
        readonly method: "POST";
        readonly path: "/clusters/:clusterId/jobs/:jobId/result";
        readonly headers: z.ZodObject<{
            "x-machine-id": z.ZodOptional<z.ZodString>;
            "x-machine-sdk-version": z.ZodOptional<z.ZodString>;
            "x-machine-sdk-language": z.ZodOptional<z.ZodString>;
            "x-forwarded-for": z.ZodOptional<z.ZodOptional<z.ZodString>>;
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
            "x-machine-id"?: string | undefined;
            "x-machine-sdk-version"?: string | undefined;
            "x-machine-sdk-language"?: string | undefined;
            "x-forwarded-for"?: string | undefined;
        }, {
            authorization: string;
            "x-machine-id"?: string | undefined;
            "x-machine-sdk-version"?: string | undefined;
            "x-machine-sdk-language"?: string | undefined;
            "x-forwarded-for"?: string | undefined;
        }>;
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            jobId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            jobId: string;
        }, {
            clusterId: string;
            jobId: string;
        }>;
        readonly responses: {
            readonly 204: z.ZodUndefined;
            readonly 401: z.ZodUndefined;
        };
        readonly body: z.ZodObject<{
            result: z.ZodAny;
            resultType: z.ZodEnum<["resolution", "rejection", "interrupt"]>;
            meta: z.ZodObject<{
                functionExecutionTime: z.ZodOptional<z.ZodNumber>;
            }, "strip", z.ZodTypeAny, {
                functionExecutionTime?: number | undefined;
            }, {
                functionExecutionTime?: number | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            resultType: "resolution" | "rejection" | "interrupt";
            meta: {
                functionExecutionTime?: number | undefined;
            };
            result?: any;
        }, {
            resultType: "resolution" | "rejection" | "interrupt";
            meta: {
                functionExecutionTime?: number | undefined;
            };
            result?: any;
        }>;
    };
    readonly listJobs: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/jobs";
        readonly query: z.ZodObject<{
            tools: z.ZodOptional<z.ZodString>;
            status: z.ZodDefault<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>>;
            limit: z.ZodDefault<z.ZodNumber>;
            acknowledge: z.ZodDefault<z.ZodBoolean>;
            waitTime: z.ZodDefault<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            status: "pending" | "running" | "paused" | "done" | "failed";
            waitTime: number;
            limit: number;
            acknowledge: boolean;
            tools?: string | undefined;
        }, {
            status?: "pending" | "running" | "paused" | "done" | "failed" | undefined;
            tools?: string | undefined;
            waitTime?: number | undefined;
            limit?: number | undefined;
            acknowledge?: boolean | undefined;
        }>;
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly headers: z.ZodObject<{
            "x-machine-id": z.ZodOptional<z.ZodString>;
            "x-machine-sdk-version": z.ZodOptional<z.ZodString>;
            "x-machine-sdk-language": z.ZodOptional<z.ZodString>;
            "x-forwarded-for": z.ZodOptional<z.ZodOptional<z.ZodString>>;
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
            "x-machine-id"?: string | undefined;
            "x-machine-sdk-version"?: string | undefined;
            "x-machine-sdk-language"?: string | undefined;
            "x-forwarded-for"?: string | undefined;
        }, {
            authorization: string;
            "x-machine-id"?: string | undefined;
            "x-machine-sdk-version"?: string | undefined;
            "x-machine-sdk-language"?: string | undefined;
            "x-forwarded-for"?: string | undefined;
        }>;
        readonly responses: {
            readonly 401: z.ZodUndefined;
            readonly 410: z.ZodObject<{
                message: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                message: string;
            }, {
                message: string;
            }>;
            readonly 200: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                function: z.ZodString;
                input: z.ZodAny;
                authContext: z.ZodNullable<z.ZodAny>;
                runContext: z.ZodNullable<z.ZodAny>;
                approved: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                function: string;
                id: string;
                approved: boolean;
                input?: any;
                authContext?: any;
                runContext?: any;
            }, {
                function: string;
                id: string;
                approved: boolean;
                input?: any;
                authContext?: any;
                runContext?: any;
            }>, "many">;
        };
    };
    readonly createJobApproval: {
        readonly method: "POST";
        readonly path: "/clusters/:clusterId/jobs/:jobId/approval";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            jobId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            jobId: string;
        }, {
            clusterId: string;
            jobId: string;
        }>;
        readonly responses: {
            readonly 204: z.ZodUndefined;
            readonly 404: z.ZodObject<{
                message: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                message: string;
            }, {
                message: string;
            }>;
        };
        readonly body: z.ZodObject<{
            approved: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            approved: boolean;
        }, {
            approved: boolean;
        }>;
    };
    readonly createMachine: {
        readonly method: "POST";
        readonly path: "/machines";
        readonly headers: z.ZodObject<{
            "x-machine-id": z.ZodOptional<z.ZodString>;
            "x-machine-sdk-version": z.ZodOptional<z.ZodString>;
            "x-machine-sdk-language": z.ZodOptional<z.ZodString>;
            "x-forwarded-for": z.ZodOptional<z.ZodOptional<z.ZodString>>;
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
            "x-machine-id"?: string | undefined;
            "x-machine-sdk-version"?: string | undefined;
            "x-machine-sdk-language"?: string | undefined;
            "x-forwarded-for"?: string | undefined;
        }, {
            authorization: string;
            "x-machine-id"?: string | undefined;
            "x-machine-sdk-version"?: string | undefined;
            "x-machine-sdk-language"?: string | undefined;
            "x-forwarded-for"?: string | undefined;
        }>;
        readonly body: z.ZodObject<{
            functions: z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                description: z.ZodOptional<z.ZodString>;
                schema: z.ZodOptional<z.ZodString>;
                config: z.ZodOptional<z.ZodObject<{
                    cache: z.ZodOptional<z.ZodObject<{
                        keyPath: z.ZodString;
                        ttlSeconds: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        keyPath: string;
                        ttlSeconds: number;
                    }, {
                        keyPath: string;
                        ttlSeconds: number;
                    }>>;
                    retryCountOnStall: z.ZodOptional<z.ZodNumber>;
                    timeoutSeconds: z.ZodOptional<z.ZodNumber>;
                    private: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                }, {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                }>>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }, {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }>, "many">>;
            tools: z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                description: z.ZodOptional<z.ZodString>;
                schema: z.ZodOptional<z.ZodString>;
                config: z.ZodOptional<z.ZodObject<{
                    cache: z.ZodOptional<z.ZodObject<{
                        keyPath: z.ZodString;
                        ttlSeconds: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        keyPath: string;
                        ttlSeconds: number;
                    }, {
                        keyPath: string;
                        ttlSeconds: number;
                    }>>;
                    retryCountOnStall: z.ZodOptional<z.ZodNumber>;
                    timeoutSeconds: z.ZodOptional<z.ZodNumber>;
                    private: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                }, {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                }>>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }, {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            tools?: {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }[] | undefined;
            functions?: {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }[] | undefined;
        }, {
            tools?: {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }[] | undefined;
            functions?: {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }[] | undefined;
        }>;
        readonly responses: {
            readonly 200: z.ZodObject<{
                clusterId: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                clusterId: string;
            }, {
                clusterId: string;
            }>;
            readonly 204: z.ZodUndefined;
        };
    };
    readonly createCluster: {
        readonly method: "POST";
        readonly path: "/clusters";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly responses: {
            readonly 204: z.ZodUndefined;
        };
        readonly body: z.ZodObject<{
            description: z.ZodString;
            name: z.ZodOptional<z.ZodString>;
            isDemo: z.ZodDefault<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            description: string;
            isDemo: boolean;
            name?: string | undefined;
        }, {
            description: string;
            name?: string | undefined;
            isDemo?: boolean | undefined;
        }>;
    };
    readonly deleteCluster: {
        readonly method: "DELETE";
        readonly path: "/clusters/:clusterId";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly body: z.ZodUndefined;
        readonly responses: {
            readonly 204: z.ZodUndefined;
        };
    };
    readonly updateCluster: {
        readonly method: "PUT";
        readonly path: "/clusters/:clusterId";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly responses: {
            readonly 204: z.ZodUndefined;
            readonly 401: z.ZodUndefined;
        };
        readonly body: z.ZodObject<{
            name: z.ZodOptional<z.ZodString>;
            description: z.ZodOptional<z.ZodString>;
            debug: z.ZodOptional<z.ZodBoolean>;
            enableCustomAuth: z.ZodOptional<z.ZodBoolean>;
            enableKnowledgebase: z.ZodOptional<z.ZodBoolean>;
            handleCustomAuthFunction: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            name?: string | undefined;
            description?: string | undefined;
            debug?: boolean | undefined;
            enableCustomAuth?: boolean | undefined;
            enableKnowledgebase?: boolean | undefined;
            handleCustomAuthFunction?: string | undefined;
        }, {
            name?: string | undefined;
            description?: string | undefined;
            debug?: boolean | undefined;
            enableCustomAuth?: boolean | undefined;
            enableKnowledgebase?: boolean | undefined;
            handleCustomAuthFunction?: string | undefined;
        }>;
    };
    readonly getCluster: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodObject<{
                id: z.ZodString;
                name: z.ZodString;
                description: z.ZodNullable<z.ZodString>;
                createdAt: z.ZodNumber;
                debug: z.ZodBoolean;
                enableCustomAuth: z.ZodBoolean;
                handleCustomAuthFunction: z.ZodNullable<z.ZodString>;
                isDemo: z.ZodBoolean;
                machines: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    lastPingAt: z.ZodNullable<z.ZodNumber>;
                    ip: z.ZodNullable<z.ZodString>;
                    sdkVersion: z.ZodNullable<z.ZodString>;
                    sdkLanguage: z.ZodNullable<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    id: string;
                    lastPingAt: number | null;
                    ip: string | null;
                    sdkVersion: string | null;
                    sdkLanguage: string | null;
                }, {
                    id: string;
                    lastPingAt: number | null;
                    ip: string | null;
                    sdkVersion: string | null;
                    sdkLanguage: string | null;
                }>, "many">;
                tools: z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    description: z.ZodNullable<z.ZodString>;
                    schema: z.ZodNullable<z.ZodUnknown>;
                    config: z.ZodNullable<z.ZodUnknown>;
                    shouldExpire: z.ZodBoolean;
                    createdAt: z.ZodNumber;
                    lastPingAt: z.ZodNullable<z.ZodNumber>;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    createdAt: number;
                    description: string | null;
                    lastPingAt: number | null;
                    shouldExpire: boolean;
                    schema?: unknown;
                    config?: unknown;
                }, {
                    name: string;
                    createdAt: number;
                    description: string | null;
                    lastPingAt: number | null;
                    shouldExpire: boolean;
                    schema?: unknown;
                    config?: unknown;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                id: string;
                name: string;
                createdAt: number;
                tools: {
                    name: string;
                    createdAt: number;
                    description: string | null;
                    lastPingAt: number | null;
                    shouldExpire: boolean;
                    schema?: unknown;
                    config?: unknown;
                }[];
                description: string | null;
                isDemo: boolean;
                debug: boolean;
                enableCustomAuth: boolean;
                handleCustomAuthFunction: string | null;
                machines: {
                    id: string;
                    lastPingAt: number | null;
                    ip: string | null;
                    sdkVersion: string | null;
                    sdkLanguage: string | null;
                }[];
            }, {
                id: string;
                name: string;
                createdAt: number;
                tools: {
                    name: string;
                    createdAt: number;
                    description: string | null;
                    lastPingAt: number | null;
                    shouldExpire: boolean;
                    schema?: unknown;
                    config?: unknown;
                }[];
                description: string | null;
                isDemo: boolean;
                debug: boolean;
                enableCustomAuth: boolean;
                handleCustomAuthFunction: string | null;
                machines: {
                    id: string;
                    lastPingAt: number | null;
                    ip: string | null;
                    sdkVersion: string | null;
                    sdkLanguage: string | null;
                }[];
            }>;
            readonly 401: z.ZodUndefined;
            readonly 404: z.ZodUndefined;
        };
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
    };
    readonly listClusters: {
        readonly method: "GET";
        readonly path: "/clusters";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                name: z.ZodString;
                createdAt: z.ZodDate;
                description: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                id: string;
                name: string;
                createdAt: Date;
                description: string | null;
            }, {
                id: string;
                name: string;
                createdAt: Date;
                description: string | null;
            }>, "many">;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly getIntegrations: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/integrations";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodObject<{
                toolhouse: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    apiKey: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    apiKey: string;
                }, {
                    apiKey: string;
                }>>>;
                langfuse: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    publicKey: z.ZodString;
                    secretKey: z.ZodString;
                    baseUrl: z.ZodString;
                    sendMessagePayloads: z.ZodBoolean;
                }, "strip", z.ZodTypeAny, {
                    publicKey: string;
                    secretKey: string;
                    baseUrl: string;
                    sendMessagePayloads: boolean;
                }, {
                    publicKey: string;
                    secretKey: string;
                    baseUrl: string;
                    sendMessagePayloads: boolean;
                }>>>;
                tavily: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    apiKey: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    apiKey: string;
                }, {
                    apiKey: string;
                }>>>;
                valtown: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    endpoint: z.ZodString;
                    token: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    endpoint: string;
                    token: string;
                }, {
                    endpoint: string;
                    token: string;
                }>>>;
                slack: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    nangoConnectionId: z.ZodString;
                    botUserId: z.ZodString;
                    teamId: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    nangoConnectionId: string;
                    botUserId: string;
                    teamId: string;
                }, {
                    nangoConnectionId: string;
                    botUserId: string;
                    teamId: string;
                }>>>;
                email: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    connectionId: z.ZodString;
                    validateSPFandDKIM: z.ZodOptional<z.ZodBoolean>;
                }, "strip", z.ZodTypeAny, {
                    connectionId: string;
                    validateSPFandDKIM?: boolean | undefined;
                }, {
                    connectionId: string;
                    validateSPFandDKIM?: boolean | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                slack?: {
                    nangoConnectionId: string;
                    botUserId: string;
                    teamId: string;
                } | null | undefined;
                email?: {
                    connectionId: string;
                    validateSPFandDKIM?: boolean | undefined;
                } | null | undefined;
                toolhouse?: {
                    apiKey: string;
                } | null | undefined;
                langfuse?: {
                    publicKey: string;
                    secretKey: string;
                    baseUrl: string;
                    sendMessagePayloads: boolean;
                } | null | undefined;
                tavily?: {
                    apiKey: string;
                } | null | undefined;
                valtown?: {
                    endpoint: string;
                    token: string;
                } | null | undefined;
            }, {
                slack?: {
                    nangoConnectionId: string;
                    botUserId: string;
                    teamId: string;
                } | null | undefined;
                email?: {
                    connectionId: string;
                    validateSPFandDKIM?: boolean | undefined;
                } | null | undefined;
                toolhouse?: {
                    apiKey: string;
                } | null | undefined;
                langfuse?: {
                    publicKey: string;
                    secretKey: string;
                    baseUrl: string;
                    sendMessagePayloads: boolean;
                } | null | undefined;
                tavily?: {
                    apiKey: string;
                } | null | undefined;
                valtown?: {
                    endpoint: string;
                    token: string;
                } | null | undefined;
            }>;
        };
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
    };
    readonly upsertIntegrations: {
        readonly method: "PUT";
        readonly path: "/clusters/:clusterId/integrations";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodUndefined;
            readonly 401: z.ZodUndefined;
            readonly 400: z.ZodObject<{
                message: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                message: string;
            }, {
                message: string;
            }>;
        };
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly body: z.ZodObject<{
            toolhouse: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                apiKey: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                apiKey: string;
            }, {
                apiKey: string;
            }>>>;
            langfuse: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                publicKey: z.ZodString;
                secretKey: z.ZodString;
                baseUrl: z.ZodString;
                sendMessagePayloads: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                publicKey: string;
                secretKey: string;
                baseUrl: string;
                sendMessagePayloads: boolean;
            }, {
                publicKey: string;
                secretKey: string;
                baseUrl: string;
                sendMessagePayloads: boolean;
            }>>>;
            tavily: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                apiKey: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                apiKey: string;
            }, {
                apiKey: string;
            }>>>;
            valtown: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                endpoint: z.ZodString;
                token: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                endpoint: string;
                token: string;
            }, {
                endpoint: string;
                token: string;
            }>>>;
            slack: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                nangoConnectionId: z.ZodString;
                botUserId: z.ZodString;
                teamId: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                nangoConnectionId: string;
                botUserId: string;
                teamId: string;
            }, {
                nangoConnectionId: string;
                botUserId: string;
                teamId: string;
            }>>>;
            email: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                connectionId: z.ZodString;
                validateSPFandDKIM: z.ZodOptional<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                connectionId: string;
                validateSPFandDKIM?: boolean | undefined;
            }, {
                connectionId: string;
                validateSPFandDKIM?: boolean | undefined;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            slack?: {
                nangoConnectionId: string;
                botUserId: string;
                teamId: string;
            } | null | undefined;
            email?: {
                connectionId: string;
                validateSPFandDKIM?: boolean | undefined;
            } | null | undefined;
            toolhouse?: {
                apiKey: string;
            } | null | undefined;
            langfuse?: {
                publicKey: string;
                secretKey: string;
                baseUrl: string;
                sendMessagePayloads: boolean;
            } | null | undefined;
            tavily?: {
                apiKey: string;
            } | null | undefined;
            valtown?: {
                endpoint: string;
                token: string;
            } | null | undefined;
        }, {
            slack?: {
                nangoConnectionId: string;
                botUserId: string;
                teamId: string;
            } | null | undefined;
            email?: {
                connectionId: string;
                validateSPFandDKIM?: boolean | undefined;
            } | null | undefined;
            toolhouse?: {
                apiKey: string;
            } | null | undefined;
            langfuse?: {
                publicKey: string;
                secretKey: string;
                baseUrl: string;
                sendMessagePayloads: boolean;
            } | null | undefined;
            tavily?: {
                apiKey: string;
            } | null | undefined;
            valtown?: {
                endpoint: string;
                token: string;
            } | null | undefined;
        }>;
    };
    readonly listEvents: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/events";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                type: z.ZodString;
                machineId: z.ZodNullable<z.ZodString>;
                createdAt: z.ZodDate;
                jobId: z.ZodNullable<z.ZodString>;
                targetFn: z.ZodNullable<z.ZodString>;
                resultType: z.ZodNullable<z.ZodString>;
                status: z.ZodNullable<z.ZodString>;
                runId: z.ZodNullable<z.ZodString>;
                meta: z.ZodNullable<z.ZodAny>;
                id: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                type: string;
                status: string | null;
                id: string;
                resultType: string | null;
                createdAt: Date;
                runId: string | null;
                jobId: string | null;
                targetFn: string | null;
                machineId: string | null;
                meta?: any;
            }, {
                type: string;
                status: string | null;
                id: string;
                resultType: string | null;
                createdAt: Date;
                runId: string | null;
                jobId: string | null;
                targetFn: string | null;
                machineId: string | null;
                meta?: any;
            }>, "many">;
            readonly 401: z.ZodUndefined;
            readonly 404: z.ZodUndefined;
        };
        readonly query: z.ZodObject<{
            type: z.ZodOptional<z.ZodString>;
            jobId: z.ZodOptional<z.ZodString>;
            machineId: z.ZodOptional<z.ZodString>;
            runId: z.ZodOptional<z.ZodString>;
            includeMeta: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            type?: string | undefined;
            runId?: string | undefined;
            jobId?: string | undefined;
            machineId?: string | undefined;
            includeMeta?: string | undefined;
        }, {
            type?: string | undefined;
            runId?: string | undefined;
            jobId?: string | undefined;
            machineId?: string | undefined;
            includeMeta?: string | undefined;
        }>;
    };
    readonly getEventMeta: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/events/:eventId/meta";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodObject<{
                type: z.ZodString;
                machineId: z.ZodNullable<z.ZodString>;
                createdAt: z.ZodDate;
                jobId: z.ZodNullable<z.ZodString>;
                targetFn: z.ZodNullable<z.ZodString>;
                resultType: z.ZodNullable<z.ZodString>;
                status: z.ZodNullable<z.ZodString>;
                meta: z.ZodUnknown;
                id: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                type: string;
                status: string | null;
                id: string;
                resultType: string | null;
                createdAt: Date;
                jobId: string | null;
                targetFn: string | null;
                machineId: string | null;
                meta?: unknown;
            }, {
                type: string;
                status: string | null;
                id: string;
                resultType: string | null;
                createdAt: Date;
                jobId: string | null;
                targetFn: string | null;
                machineId: string | null;
                meta?: unknown;
            }>;
            readonly 401: z.ZodUndefined;
            readonly 404: z.ZodUndefined;
        };
    };
    readonly listUsageActivity: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/usage";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodObject<{
                modelUsage: z.ZodArray<z.ZodObject<{
                    date: z.ZodString;
                    modelId: z.ZodNullable<z.ZodString>;
                    totalInputTokens: z.ZodNumber;
                    totalOutputTokens: z.ZodNumber;
                    totalModelInvocations: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    date: string;
                    modelId: string | null;
                    totalInputTokens: number;
                    totalOutputTokens: number;
                    totalModelInvocations: number;
                }, {
                    date: string;
                    modelId: string | null;
                    totalInputTokens: number;
                    totalOutputTokens: number;
                    totalModelInvocations: number;
                }>, "many">;
                runs: z.ZodArray<z.ZodObject<{
                    date: z.ZodString;
                    totalRuns: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    date: string;
                    totalRuns: number;
                }, {
                    date: string;
                    totalRuns: number;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                modelUsage: {
                    date: string;
                    modelId: string | null;
                    totalInputTokens: number;
                    totalOutputTokens: number;
                    totalModelInvocations: number;
                }[];
                runs: {
                    date: string;
                    totalRuns: number;
                }[];
            }, {
                modelUsage: {
                    date: string;
                    modelId: string | null;
                    totalInputTokens: number;
                    totalOutputTokens: number;
                    totalModelInvocations: number;
                }[];
                runs: {
                    date: string;
                    totalRuns: number;
                }[];
            }>;
        };
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
    };
    readonly createRun: {
        readonly method: "POST";
        readonly path: "/clusters/:clusterId/runs";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
            "x-provider-key": z.ZodOptional<z.ZodString>;
            "x-provider-model": z.ZodOptional<z.ZodEnum<["claude-3-7-sonnet-20250219", "claude-3-7-sonnet-latest", "claude-3-5-sonnet-20241022", "claude-3-5-sonnet-latest", "claude-3-5-sonnet-20240620", "claude-3-5-haiku-20241022", "claude-3-5-haiku-latest"]>>;
            "x-provider-url": z.ZodDefault<z.ZodLiteral<"https://api.anthropic.com">>;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
            "x-provider-url": "https://api.anthropic.com";
            "x-provider-key"?: string | undefined;
            "x-provider-model"?: "claude-3-7-sonnet-20250219" | "claude-3-7-sonnet-latest" | "claude-3-5-sonnet-20241022" | "claude-3-5-sonnet-latest" | "claude-3-5-sonnet-20240620" | "claude-3-5-haiku-20241022" | "claude-3-5-haiku-latest" | undefined;
        }, {
            authorization: string;
            "x-provider-key"?: string | undefined;
            "x-provider-model"?: "claude-3-7-sonnet-20250219" | "claude-3-7-sonnet-latest" | "claude-3-5-sonnet-20241022" | "claude-3-5-sonnet-latest" | "claude-3-5-sonnet-20240620" | "claude-3-5-haiku-20241022" | "claude-3-5-haiku-latest" | undefined;
            "x-provider-url"?: "https://api.anthropic.com" | undefined;
        }>;
        readonly body: z.ZodObject<{
            id: z.ZodEffects<z.ZodOptional<z.ZodString>, string | undefined, string | undefined>;
            runId: z.ZodEffects<z.ZodOptional<z.ZodString>, string | undefined, string | undefined>;
            initialPrompt: z.ZodOptional<z.ZodString>;
            systemPrompt: z.ZodOptional<z.ZodString>;
            name: z.ZodOptional<z.ZodString>;
            resultSchema: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            tools: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            attachedFunctions: z.ZodOptional<z.ZodArray<z.ZodObject<{
                service: z.ZodString;
                function: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                function: string;
                service: string;
            }, {
                function: string;
                service: string;
            }>, "many">>;
            onStatusChange: z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"function">;
                statuses: z.ZodArray<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>, "many">;
                function: z.ZodObject<{
                    service: z.ZodString;
                    function: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    function: string;
                    service: string;
                }, {
                    function: string;
                    service: string;
                }>;
            }, "strip", z.ZodTypeAny, {
                function: {
                    function: string;
                    service: string;
                };
                type: "function";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
            }, {
                function: {
                    function: string;
                    service: string;
                };
                type: "function";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
            }>, z.ZodObject<{
                type: z.ZodLiteral<"tool">;
                statuses: z.ZodArray<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>, "many">;
                tool: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                type: "tool";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                tool: string;
            }, {
                type: "tool";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                tool: string;
            }>, z.ZodObject<{
                type: z.ZodLiteral<"webhook">;
                statuses: z.ZodArray<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>, "many">;
                webhook: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                type: "webhook";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                webhook: string;
            }, {
                type: "webhook";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                webhook: string;
            }>, z.ZodObject<{
                type: z.ZodLiteral<"workflow">;
                statuses: z.ZodArray<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>, "many">;
                workflow: z.ZodObject<{
                    executionId: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    executionId: string;
                }, {
                    executionId: string;
                }>;
            }, "strip", z.ZodTypeAny, {
                type: "workflow";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                workflow: {
                    executionId: string;
                };
            }, {
                type: "workflow";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                workflow: {
                    executionId: string;
                };
            }>]>, {
                function: {
                    function: string;
                    service: string;
                };
                type: "function";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
            } | {
                type: "tool";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                tool: string;
            } | {
                type: "webhook";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                webhook: string;
            } | {
                type: "workflow";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                workflow: {
                    executionId: string;
                };
            }, unknown>>;
            tags: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
            input: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            context: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            reasoningTraces: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
            interactive: z.ZodDefault<z.ZodBoolean>;
            enableResultGrounding: z.ZodDefault<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            interactive: boolean;
            enableResultGrounding: boolean;
            id?: string | undefined;
            name?: string | undefined;
            input?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            runId?: string | undefined;
            initialPrompt?: string | undefined;
            systemPrompt?: string | undefined;
            resultSchema?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            tools?: string[] | undefined;
            attachedFunctions?: {
                function: string;
                service: string;
            }[] | undefined;
            onStatusChange?: {
                function: {
                    function: string;
                    service: string;
                };
                type: "function";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
            } | {
                type: "tool";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                tool: string;
            } | {
                type: "webhook";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                webhook: string;
            } | {
                type: "workflow";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                workflow: {
                    executionId: string;
                };
            } | undefined;
            tags?: Record<string, string> | undefined;
            context?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            reasoningTraces?: boolean | undefined;
        }, {
            id?: string | undefined;
            name?: string | undefined;
            input?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            runId?: string | undefined;
            initialPrompt?: string | undefined;
            systemPrompt?: string | undefined;
            resultSchema?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            tools?: string[] | undefined;
            attachedFunctions?: {
                function: string;
                service: string;
            }[] | undefined;
            onStatusChange?: unknown;
            tags?: Record<string, string> | undefined;
            context?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            reasoningTraces?: boolean | undefined;
            interactive?: boolean | undefined;
            enableResultGrounding?: boolean | undefined;
        }>;
        readonly responses: {
            readonly 201: z.ZodObject<{
                id: z.ZodString;
                status: z.ZodEnum<["pending", "running", "paused", "done", "failed"]>;
                result: z.ZodNullable<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            }, "strip", z.ZodTypeAny, {
                status: "pending" | "running" | "paused" | "done" | "failed";
                id: string;
                result: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | null;
            }, {
                status: "pending" | "running" | "paused" | "done" | "failed";
                id: string;
                result: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | null;
            }>;
            readonly 401: z.ZodUndefined;
            readonly 400: z.ZodObject<{
                message: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                message: string;
            }, {
                message: string;
            }>;
        };
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
    };
    readonly deleteRun: {
        readonly method: "DELETE";
        readonly path: "/clusters/:clusterId/runs/:runId";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly body: z.ZodUndefined;
        readonly responses: {
            readonly 204: z.ZodUndefined;
            readonly 401: z.ZodUndefined;
        };
        readonly pathParams: z.ZodObject<{
            runId: z.ZodString;
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            runId: string;
            clusterId: string;
        }, {
            runId: string;
            clusterId: string;
        }>;
    };
    readonly listRuns: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/runs";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly query: z.ZodObject<{
            userId: z.ZodOptional<z.ZodString>;
            test: z.ZodOptional<z.ZodEffects<z.ZodString, boolean, string>>;
            limit: z.ZodDefault<z.ZodNumber>;
            tags: z.ZodOptional<z.ZodString>;
            type: z.ZodDefault<z.ZodEnum<["conversation", "workflow", "all"]>>;
        }, "strip", z.ZodTypeAny, {
            type: "workflow" | "conversation" | "all";
            limit: number;
            userId?: string | undefined;
            tags?: string | undefined;
            test?: boolean | undefined;
        }, {
            type?: "workflow" | "conversation" | "all" | undefined;
            userId?: string | undefined;
            tags?: string | undefined;
            limit?: number | undefined;
            test?: string | undefined;
        }>;
        readonly responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                name: z.ZodString;
                userId: z.ZodNullable<z.ZodString>;
                createdAt: z.ZodDate;
                type: z.ZodEnum<["single-step", "multi-step"]>;
                status: z.ZodNullable<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>>;
                test: z.ZodBoolean;
                feedbackScore: z.ZodNullable<z.ZodNumber>;
                workflowExecutionId: z.ZodNullable<z.ZodString>;
                workflowVersion: z.ZodNullable<z.ZodNumber>;
                workflowName: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                type: "single-step" | "multi-step";
                status: "pending" | "running" | "paused" | "done" | "failed" | null;
                userId: string | null;
                id: string;
                name: string;
                createdAt: Date;
                test: boolean;
                feedbackScore: number | null;
                workflowExecutionId: string | null;
                workflowVersion: number | null;
                workflowName: string | null;
            }, {
                type: "single-step" | "multi-step";
                status: "pending" | "running" | "paused" | "done" | "failed" | null;
                userId: string | null;
                id: string;
                name: string;
                createdAt: Date;
                test: boolean;
                feedbackScore: number | null;
                workflowExecutionId: string | null;
                workflowVersion: number | null;
                workflowName: string | null;
            }>, "many">;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly getRun: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/runs/:runId";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodObject<{
                id: z.ZodString;
                userId: z.ZodNullable<z.ZodString>;
                type: z.ZodNullable<z.ZodEnum<["single-step", "multi-step"]>>;
                status: z.ZodNullable<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>>;
                failureReason: z.ZodNullable<z.ZodString>;
                test: z.ZodBoolean;
                feedbackComment: z.ZodNullable<z.ZodString>;
                feedbackScore: z.ZodNullable<z.ZodNumber>;
                context: z.ZodNullable<z.ZodAny>;
                authContext: z.ZodNullable<z.ZodAny>;
                result: z.ZodNullable<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                tags: z.ZodNullable<z.ZodRecord<z.ZodString, z.ZodString>>;
                tools: z.ZodNullable<z.ZodArray<z.ZodString, "many">>;
            }, "strip", z.ZodTypeAny, {
                type: "single-step" | "multi-step" | null;
                status: "pending" | "running" | "paused" | "done" | "failed" | null;
                userId: string | null;
                id: string;
                result: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | null;
                tools: string[] | null;
                tags: Record<string, string> | null;
                test: boolean;
                feedbackScore: number | null;
                failureReason: string | null;
                feedbackComment: string | null;
                context?: any;
                authContext?: any;
            }, {
                type: "single-step" | "multi-step" | null;
                status: "pending" | "running" | "paused" | "done" | "failed" | null;
                userId: string | null;
                id: string;
                result: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | null;
                tools: string[] | null;
                tags: Record<string, string> | null;
                test: boolean;
                feedbackScore: number | null;
                failureReason: string | null;
                feedbackComment: string | null;
                context?: any;
                authContext?: any;
            }>;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly createFeedback: {
        readonly method: "POST";
        readonly path: "/clusters/:clusterId/runs/:runId/feedback";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly body: z.ZodObject<{
            comment: z.ZodNullable<z.ZodString>;
            score: z.ZodNullable<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            comment: string | null;
            score: number | null;
        }, {
            comment: string | null;
            score: number | null;
        }>;
        readonly responses: {
            readonly 204: z.ZodUndefined;
            readonly 401: z.ZodUndefined;
            readonly 404: z.ZodUndefined;
        };
        readonly pathParams: z.ZodObject<{
            runId: z.ZodString;
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            runId: string;
            clusterId: string;
        }, {
            runId: string;
            clusterId: string;
        }>;
    };
    readonly oas: {
        readonly method: "GET";
        readonly path: "/public/oas.json";
        readonly responses: {
            readonly 200: z.ZodUnknown;
        };
    };
    readonly createMessage: {
        readonly method: "POST";
        readonly path: "/clusters/:clusterId/runs/:runId/messages";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly body: z.ZodObject<{
            id: z.ZodOptional<z.ZodString>;
            message: z.ZodString;
            type: z.ZodOptional<z.ZodEnum<["human", "supervisor"]>>;
        }, "strip", z.ZodTypeAny, {
            message: string;
            type?: "human" | "supervisor" | undefined;
            id?: string | undefined;
        }, {
            message: string;
            type?: "human" | "supervisor" | undefined;
            id?: string | undefined;
        }>;
        readonly responses: {
            readonly 201: z.ZodUndefined;
            readonly 401: z.ZodUndefined;
        };
        readonly pathParams: z.ZodObject<{
            runId: z.ZodString;
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            runId: string;
            clusterId: string;
        }, {
            runId: string;
            clusterId: string;
        }>;
    };
    readonly listMessages: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/runs/:runId/messages";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly query: z.ZodObject<{
            waitTime: z.ZodDefault<z.ZodNumber>;
            after: z.ZodDefault<z.ZodString>;
            limit: z.ZodDefault<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            waitTime: number;
            limit: number;
            after: string;
        }, {
            waitTime?: number | undefined;
            limit?: number | undefined;
            after?: string | undefined;
        }>;
        readonly responses: {
            readonly 200: z.ZodArray<z.ZodDiscriminatedUnion<"type", [z.ZodObject<z.objectUtil.extendShape<{
                type: z.ZodLiteral<"agent">;
                data: z.ZodObject<{
                    done: z.ZodOptional<z.ZodBoolean>;
                    result: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                    message: z.ZodOptional<z.ZodString>;
                    learnings: z.ZodOptional<z.ZodArray<z.ZodObject<{
                        summary: z.ZodString;
                        entities: z.ZodArray<z.ZodObject<{
                            name: z.ZodString;
                            type: z.ZodEnum<["tool"]>;
                        }, "strip", z.ZodTypeAny, {
                            type: "tool";
                            name: string;
                        }, {
                            type: "tool";
                            name: string;
                        }>, "many">;
                        relevance: z.ZodObject<{
                            temporality: z.ZodEnum<["transient", "persistent"]>;
                        }, "strip", z.ZodTypeAny, {
                            temporality: "transient" | "persistent";
                        }, {
                            temporality: "transient" | "persistent";
                        }>;
                    }, "strip", z.ZodTypeAny, {
                        summary: string;
                        entities: {
                            type: "tool";
                            name: string;
                        }[];
                        relevance: {
                            temporality: "transient" | "persistent";
                        };
                    }, {
                        summary: string;
                        entities: {
                            type: "tool";
                            name: string;
                        }[];
                        relevance: {
                            temporality: "transient" | "persistent";
                        };
                    }>, "many">>;
                    issue: z.ZodOptional<z.ZodString>;
                    invocations: z.ZodOptional<z.ZodArray<z.ZodObject<{
                        id: z.ZodOptional<z.ZodString>;
                        toolName: z.ZodString;
                        reasoning: z.ZodOptional<z.ZodString>;
                        input: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
                    }, "strip", z.ZodTypeAny, {
                        toolName: string;
                        input: {} & {
                            [k: string]: unknown;
                        };
                        id?: string | undefined;
                        reasoning?: string | undefined;
                    }, {
                        toolName: string;
                        input: {} & {
                            [k: string]: unknown;
                        };
                        id?: string | undefined;
                        reasoning?: string | undefined;
                    }>, "many">>;
                }, "strict", z.ZodTypeAny, {
                    message?: string | undefined;
                    done?: boolean | undefined;
                    result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    learnings?: {
                        summary: string;
                        entities: {
                            type: "tool";
                            name: string;
                        }[];
                        relevance: {
                            temporality: "transient" | "persistent";
                        };
                    }[] | undefined;
                    issue?: string | undefined;
                    invocations?: {
                        toolName: string;
                        input: {} & {
                            [k: string]: unknown;
                        };
                        id?: string | undefined;
                        reasoning?: string | undefined;
                    }[] | undefined;
                }, {
                    message?: string | undefined;
                    done?: boolean | undefined;
                    result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    learnings?: {
                        summary: string;
                        entities: {
                            type: "tool";
                            name: string;
                        }[];
                        relevance: {
                            temporality: "transient" | "persistent";
                        };
                    }[] | undefined;
                    issue?: string | undefined;
                    invocations?: {
                        toolName: string;
                        input: {} & {
                            [k: string]: unknown;
                        };
                        id?: string | undefined;
                        reasoning?: string | undefined;
                    }[] | undefined;
                }>;
            }, {
                id: z.ZodString;
                createdAt: z.ZodOptional<z.ZodDate>;
                pending: z.ZodOptional<z.ZodBoolean>;
                metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
            }>, "strip", z.ZodTypeAny, {
                type: "agent";
                id: string;
                data: {
                    message?: string | undefined;
                    done?: boolean | undefined;
                    result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    learnings?: {
                        summary: string;
                        entities: {
                            type: "tool";
                            name: string;
                        }[];
                        relevance: {
                            temporality: "transient" | "persistent";
                        };
                    }[] | undefined;
                    issue?: string | undefined;
                    invocations?: {
                        toolName: string;
                        input: {} & {
                            [k: string]: unknown;
                        };
                        id?: string | undefined;
                        reasoning?: string | undefined;
                    }[] | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }, {
                type: "agent";
                id: string;
                data: {
                    message?: string | undefined;
                    done?: boolean | undefined;
                    result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    learnings?: {
                        summary: string;
                        entities: {
                            type: "tool";
                            name: string;
                        }[];
                        relevance: {
                            temporality: "transient" | "persistent";
                        };
                    }[] | undefined;
                    issue?: string | undefined;
                    invocations?: {
                        toolName: string;
                        input: {} & {
                            [k: string]: unknown;
                        };
                        id?: string | undefined;
                        reasoning?: string | undefined;
                    }[] | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }>, z.ZodObject<z.objectUtil.extendShape<{
                type: z.ZodLiteral<"invocation-result">;
                data: z.ZodObject<{
                    id: z.ZodString;
                    toolName: z.ZodString;
                    resultType: z.ZodEnum<["resolution", "rejection"]>;
                    result: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
                }, "strict", z.ZodTypeAny, {
                    id: string;
                    toolName: string;
                    resultType: "resolution" | "rejection";
                    result: {} & {
                        [k: string]: unknown;
                    };
                }, {
                    id: string;
                    toolName: string;
                    resultType: "resolution" | "rejection";
                    result: {} & {
                        [k: string]: unknown;
                    };
                }>;
            }, {
                id: z.ZodString;
                createdAt: z.ZodOptional<z.ZodDate>;
                pending: z.ZodOptional<z.ZodBoolean>;
                metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
            }>, "strip", z.ZodTypeAny, {
                type: "invocation-result";
                id: string;
                data: {
                    id: string;
                    toolName: string;
                    resultType: "resolution" | "rejection";
                    result: {} & {
                        [k: string]: unknown;
                    };
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }, {
                type: "invocation-result";
                id: string;
                data: {
                    id: string;
                    toolName: string;
                    resultType: "resolution" | "rejection";
                    result: {} & {
                        [k: string]: unknown;
                    };
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }>, z.ZodObject<z.objectUtil.extendShape<{
                type: z.ZodLiteral<"human">;
                data: z.ZodObject<{
                    message: z.ZodString;
                    details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                }, "strict", z.ZodTypeAny, {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }, {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }>;
            }, {
                id: z.ZodString;
                createdAt: z.ZodOptional<z.ZodDate>;
                pending: z.ZodOptional<z.ZodBoolean>;
                metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
            }>, "strip", z.ZodTypeAny, {
                type: "human";
                id: string;
                data: {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }, {
                type: "human";
                id: string;
                data: {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }>, z.ZodObject<z.objectUtil.extendShape<{
                type: z.ZodLiteral<"template">;
                data: z.ZodObject<{
                    message: z.ZodString;
                    details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                }, "strict", z.ZodTypeAny, {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }, {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }>;
            }, {
                id: z.ZodString;
                createdAt: z.ZodOptional<z.ZodDate>;
                pending: z.ZodOptional<z.ZodBoolean>;
                metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
            }>, "strip", z.ZodTypeAny, {
                type: "template";
                id: string;
                data: {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }, {
                type: "template";
                id: string;
                data: {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }>, z.ZodObject<z.objectUtil.extendShape<{
                type: z.ZodLiteral<"supervisor">;
                data: z.ZodObject<{
                    message: z.ZodString;
                    details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                }, "strict", z.ZodTypeAny, {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }, {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }>;
            }, {
                id: z.ZodString;
                createdAt: z.ZodOptional<z.ZodDate>;
                pending: z.ZodOptional<z.ZodBoolean>;
                metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
            }>, "strip", z.ZodTypeAny, {
                type: "supervisor";
                id: string;
                data: {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }, {
                type: "supervisor";
                id: string;
                data: {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }>, z.ZodObject<z.objectUtil.extendShape<{
                type: z.ZodLiteral<"agent-invalid">;
                data: z.ZodObject<{
                    message: z.ZodString;
                    details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                }, "strict", z.ZodTypeAny, {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }, {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }>;
            }, {
                id: z.ZodString;
                createdAt: z.ZodOptional<z.ZodDate>;
                pending: z.ZodOptional<z.ZodBoolean>;
                metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
            }>, "strip", z.ZodTypeAny, {
                type: "agent-invalid";
                id: string;
                data: {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }, {
                type: "agent-invalid";
                id: string;
                data: {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }>]>, "many">;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly createApiKey: {
        readonly method: "POST";
        readonly path: "/clusters/:clusterId/api-keys";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly body: z.ZodObject<{
            name: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
        }, {
            name: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodObject<{
                id: z.ZodString;
                key: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                id: string;
                key: string;
            }, {
                id: string;
                key: string;
            }>;
        };
    };
    readonly listApiKeys: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/api-keys";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                name: z.ZodString;
                createdAt: z.ZodDate;
                createdBy: z.ZodString;
                revokedAt: z.ZodNullable<z.ZodDate>;
            }, "strip", z.ZodTypeAny, {
                id: string;
                name: string;
                createdAt: Date;
                createdBy: string;
                revokedAt: Date | null;
            }, {
                id: string;
                name: string;
                createdAt: Date;
                createdBy: string;
                revokedAt: Date | null;
            }>, "many">;
        };
    };
    readonly revokeApiKey: {
        readonly method: "DELETE";
        readonly path: "/clusters/:clusterId/api-keys/:keyId";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            keyId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            keyId: string;
        }, {
            clusterId: string;
            keyId: string;
        }>;
        readonly body: z.ZodUndefined;
        readonly responses: {
            readonly 204: z.ZodUndefined;
        };
    };
    readonly listMachines: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/machines";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly query: z.ZodObject<{
            limit: z.ZodDefault<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            limit: number;
        }, {
            limit?: number | undefined;
        }>;
        readonly responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                lastPingAt: z.ZodDate;
                ip: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                id: string;
                lastPingAt: Date;
                ip: string;
            }, {
                id: string;
                lastPingAt: Date;
                ip: string;
            }>, "many">;
        };
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
    };
    readonly getRunTimeline: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/runs/:runId/timeline";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly query: z.ZodObject<{
            messagesAfter: z.ZodDefault<z.ZodString>;
            activityAfter: z.ZodDefault<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            messagesAfter: string;
            activityAfter: string;
        }, {
            messagesAfter?: string | undefined;
            activityAfter?: string | undefined;
        }>;
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            runId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            runId: string;
            clusterId: string;
        }, {
            runId: string;
            clusterId: string;
        }>;
        readonly responses: {
            readonly 404: z.ZodUndefined;
            readonly 200: z.ZodObject<{
                messages: z.ZodArray<z.ZodDiscriminatedUnion<"type", [z.ZodObject<z.objectUtil.extendShape<{
                    type: z.ZodLiteral<"agent">;
                    data: z.ZodObject<{
                        done: z.ZodOptional<z.ZodBoolean>;
                        result: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                        message: z.ZodOptional<z.ZodString>;
                        learnings: z.ZodOptional<z.ZodArray<z.ZodObject<{
                            summary: z.ZodString;
                            entities: z.ZodArray<z.ZodObject<{
                                name: z.ZodString;
                                type: z.ZodEnum<["tool"]>;
                            }, "strip", z.ZodTypeAny, {
                                type: "tool";
                                name: string;
                            }, {
                                type: "tool";
                                name: string;
                            }>, "many">;
                            relevance: z.ZodObject<{
                                temporality: z.ZodEnum<["transient", "persistent"]>;
                            }, "strip", z.ZodTypeAny, {
                                temporality: "transient" | "persistent";
                            }, {
                                temporality: "transient" | "persistent";
                            }>;
                        }, "strip", z.ZodTypeAny, {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }, {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }>, "many">>;
                        issue: z.ZodOptional<z.ZodString>;
                        invocations: z.ZodOptional<z.ZodArray<z.ZodObject<{
                            id: z.ZodOptional<z.ZodString>;
                            toolName: z.ZodString;
                            reasoning: z.ZodOptional<z.ZodString>;
                            input: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
                        }, "strip", z.ZodTypeAny, {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }, {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }>, "many">>;
                    }, "strict", z.ZodTypeAny, {
                        message?: string | undefined;
                        done?: boolean | undefined;
                        result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                        learnings?: {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }[] | undefined;
                        issue?: string | undefined;
                        invocations?: {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }[] | undefined;
                    }, {
                        message?: string | undefined;
                        done?: boolean | undefined;
                        result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                        learnings?: {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }[] | undefined;
                        issue?: string | undefined;
                        invocations?: {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }[] | undefined;
                    }>;
                }, {
                    id: z.ZodString;
                    createdAt: z.ZodOptional<z.ZodDate>;
                    pending: z.ZodOptional<z.ZodBoolean>;
                    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
                }>, "strip", z.ZodTypeAny, {
                    type: "agent";
                    id: string;
                    data: {
                        message?: string | undefined;
                        done?: boolean | undefined;
                        result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                        learnings?: {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }[] | undefined;
                        issue?: string | undefined;
                        invocations?: {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }[] | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }, {
                    type: "agent";
                    id: string;
                    data: {
                        message?: string | undefined;
                        done?: boolean | undefined;
                        result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                        learnings?: {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }[] | undefined;
                        issue?: string | undefined;
                        invocations?: {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }[] | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }>, z.ZodObject<z.objectUtil.extendShape<{
                    type: z.ZodLiteral<"invocation-result">;
                    data: z.ZodObject<{
                        id: z.ZodString;
                        toolName: z.ZodString;
                        resultType: z.ZodEnum<["resolution", "rejection"]>;
                        result: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
                    }, "strict", z.ZodTypeAny, {
                        id: string;
                        toolName: string;
                        resultType: "resolution" | "rejection";
                        result: {} & {
                            [k: string]: unknown;
                        };
                    }, {
                        id: string;
                        toolName: string;
                        resultType: "resolution" | "rejection";
                        result: {} & {
                            [k: string]: unknown;
                        };
                    }>;
                }, {
                    id: z.ZodString;
                    createdAt: z.ZodOptional<z.ZodDate>;
                    pending: z.ZodOptional<z.ZodBoolean>;
                    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
                }>, "strip", z.ZodTypeAny, {
                    type: "invocation-result";
                    id: string;
                    data: {
                        id: string;
                        toolName: string;
                        resultType: "resolution" | "rejection";
                        result: {} & {
                            [k: string]: unknown;
                        };
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }, {
                    type: "invocation-result";
                    id: string;
                    data: {
                        id: string;
                        toolName: string;
                        resultType: "resolution" | "rejection";
                        result: {} & {
                            [k: string]: unknown;
                        };
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }>, z.ZodObject<z.objectUtil.extendShape<{
                    type: z.ZodLiteral<"human">;
                    data: z.ZodObject<{
                        message: z.ZodString;
                        details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                    }, "strict", z.ZodTypeAny, {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }, {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }>;
                }, {
                    id: z.ZodString;
                    createdAt: z.ZodOptional<z.ZodDate>;
                    pending: z.ZodOptional<z.ZodBoolean>;
                    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
                }>, "strip", z.ZodTypeAny, {
                    type: "human";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }, {
                    type: "human";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }>, z.ZodObject<z.objectUtil.extendShape<{
                    type: z.ZodLiteral<"template">;
                    data: z.ZodObject<{
                        message: z.ZodString;
                        details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                    }, "strict", z.ZodTypeAny, {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }, {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }>;
                }, {
                    id: z.ZodString;
                    createdAt: z.ZodOptional<z.ZodDate>;
                    pending: z.ZodOptional<z.ZodBoolean>;
                    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
                }>, "strip", z.ZodTypeAny, {
                    type: "template";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }, {
                    type: "template";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }>, z.ZodObject<z.objectUtil.extendShape<{
                    type: z.ZodLiteral<"supervisor">;
                    data: z.ZodObject<{
                        message: z.ZodString;
                        details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                    }, "strict", z.ZodTypeAny, {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }, {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }>;
                }, {
                    id: z.ZodString;
                    createdAt: z.ZodOptional<z.ZodDate>;
                    pending: z.ZodOptional<z.ZodBoolean>;
                    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
                }>, "strip", z.ZodTypeAny, {
                    type: "supervisor";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }, {
                    type: "supervisor";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }>, z.ZodObject<z.objectUtil.extendShape<{
                    type: z.ZodLiteral<"agent-invalid">;
                    data: z.ZodObject<{
                        message: z.ZodString;
                        details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                    }, "strict", z.ZodTypeAny, {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }, {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }>;
                }, {
                    id: z.ZodString;
                    createdAt: z.ZodOptional<z.ZodDate>;
                    pending: z.ZodOptional<z.ZodBoolean>;
                    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
                }>, "strip", z.ZodTypeAny, {
                    type: "agent-invalid";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }, {
                    type: "agent-invalid";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }>]>, "many">;
                activity: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    type: z.ZodString;
                    machineId: z.ZodNullable<z.ZodString>;
                    createdAt: z.ZodDate;
                    jobId: z.ZodNullable<z.ZodString>;
                    targetFn: z.ZodNullable<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    type: string;
                    id: string;
                    createdAt: Date;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                }, {
                    type: string;
                    id: string;
                    createdAt: Date;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                }>, "many">;
                jobs: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    status: z.ZodString;
                    targetFn: z.ZodString;
                    resultType: z.ZodNullable<z.ZodString>;
                    createdAt: z.ZodDate;
                    approved: z.ZodNullable<z.ZodBoolean>;
                    approvalRequested: z.ZodNullable<z.ZodBoolean>;
                }, "strip", z.ZodTypeAny, {
                    status: string;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    targetFn: string;
                    approved: boolean | null;
                    approvalRequested: boolean | null;
                }, {
                    status: string;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    targetFn: string;
                    approved: boolean | null;
                    approvalRequested: boolean | null;
                }>, "many">;
                run: z.ZodObject<{
                    id: z.ZodString;
                    userId: z.ZodNullable<z.ZodString>;
                    status: z.ZodNullable<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>>;
                    failureReason: z.ZodNullable<z.ZodString>;
                    test: z.ZodBoolean;
                    context: z.ZodNullable<z.ZodAny>;
                    authContext: z.ZodNullable<z.ZodAny>;
                    feedbackComment: z.ZodNullable<z.ZodString>;
                    feedbackScore: z.ZodNullable<z.ZodNumber>;
                    result: z.ZodOptional<z.ZodNullable<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>>;
                    tags: z.ZodOptional<z.ZodNullable<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    tools: z.ZodNullable<z.ZodArray<z.ZodString, "many">>;
                    name: z.ZodNullable<z.ZodString>;
                    systemPrompt: z.ZodNullable<z.ZodString>;
                    interactive: z.ZodBoolean;
                    workflowExecutionId: z.ZodNullable<z.ZodString>;
                    workflowVersion: z.ZodNullable<z.ZodNumber>;
                    workflowName: z.ZodNullable<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string | null;
                    systemPrompt: string | null;
                    tools: string[] | null;
                    interactive: boolean;
                    test: boolean;
                    feedbackScore: number | null;
                    workflowExecutionId: string | null;
                    workflowVersion: number | null;
                    workflowName: string | null;
                    failureReason: string | null;
                    feedbackComment: string | null;
                    result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | null | undefined;
                    tags?: Record<string, string> | null | undefined;
                    context?: any;
                    authContext?: any;
                }, {
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string | null;
                    systemPrompt: string | null;
                    tools: string[] | null;
                    interactive: boolean;
                    test: boolean;
                    feedbackScore: number | null;
                    workflowExecutionId: string | null;
                    workflowVersion: number | null;
                    workflowName: string | null;
                    failureReason: string | null;
                    feedbackComment: string | null;
                    result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | null | undefined;
                    tags?: Record<string, string> | null | undefined;
                    context?: any;
                    authContext?: any;
                }>;
            }, "strip", z.ZodTypeAny, {
                messages: ({
                    type: "agent";
                    id: string;
                    data: {
                        message?: string | undefined;
                        done?: boolean | undefined;
                        result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                        learnings?: {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }[] | undefined;
                        issue?: string | undefined;
                        invocations?: {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }[] | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "invocation-result";
                    id: string;
                    data: {
                        id: string;
                        toolName: string;
                        resultType: "resolution" | "rejection";
                        result: {} & {
                            [k: string]: unknown;
                        };
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "human";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "template";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "supervisor";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "agent-invalid";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                })[];
                activity: {
                    type: string;
                    id: string;
                    createdAt: Date;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                }[];
                jobs: {
                    status: string;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    targetFn: string;
                    approved: boolean | null;
                    approvalRequested: boolean | null;
                }[];
                run: {
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string | null;
                    systemPrompt: string | null;
                    tools: string[] | null;
                    interactive: boolean;
                    test: boolean;
                    feedbackScore: number | null;
                    workflowExecutionId: string | null;
                    workflowVersion: number | null;
                    workflowName: string | null;
                    failureReason: string | null;
                    feedbackComment: string | null;
                    result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | null | undefined;
                    tags?: Record<string, string> | null | undefined;
                    context?: any;
                    authContext?: any;
                };
            }, {
                messages: ({
                    type: "agent";
                    id: string;
                    data: {
                        message?: string | undefined;
                        done?: boolean | undefined;
                        result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                        learnings?: {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }[] | undefined;
                        issue?: string | undefined;
                        invocations?: {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }[] | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "invocation-result";
                    id: string;
                    data: {
                        id: string;
                        toolName: string;
                        resultType: "resolution" | "rejection";
                        result: {} & {
                            [k: string]: unknown;
                        };
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "human";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "template";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "supervisor";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "agent-invalid";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                })[];
                activity: {
                    type: string;
                    id: string;
                    createdAt: Date;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                }[];
                jobs: {
                    status: string;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    targetFn: string;
                    approved: boolean | null;
                    approvalRequested: boolean | null;
                }[];
                run: {
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string | null;
                    systemPrompt: string | null;
                    tools: string[] | null;
                    interactive: boolean;
                    test: boolean;
                    feedbackScore: number | null;
                    workflowExecutionId: string | null;
                    workflowVersion: number | null;
                    workflowName: string | null;
                    failureReason: string | null;
                    feedbackComment: string | null;
                    result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | null | undefined;
                    tags?: Record<string, string> | null | undefined;
                    context?: any;
                    authContext?: any;
                };
            }>;
        };
    };
    readonly createNangoSession: {
        readonly method: "POST";
        readonly path: "/clusters/:clusterId/nango/sessions";
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly body: z.ZodObject<{
            integration: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            integration: string;
        }, {
            integration: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodObject<{
                token: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                token: string;
            }, {
                token: string;
            }>;
        };
    };
    readonly createNangoEvent: {
        readonly method: "POST";
        readonly path: "/nango/events";
        readonly headers: z.ZodObject<{
            "x-nango-signature": z.ZodString;
        }, "strip", z.ZodTypeAny, {
            "x-nango-signature": string;
        }, {
            "x-nango-signature": string;
        }>;
        readonly body: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
        readonly responses: {
            readonly 200: z.ZodUndefined;
        };
    };
    readonly listWorkflows: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/workflows";
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                version: z.ZodNumber;
                description: z.ZodNullable<z.ZodString>;
                schema: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                version: number;
                name: string;
                description: string | null;
                schema: string | null;
            }, {
                version: number;
                name: string;
                description: string | null;
                schema: string | null;
            }>, "many">;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly createWorkflowExecution: {
        readonly method: "POST";
        readonly path: "/clusters/:clusterId/workflows/:workflowName/executions";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            workflowName: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            workflowName: string;
        }, {
            clusterId: string;
            workflowName: string;
        }>;
        readonly body: z.ZodObject<{
            executionId: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            executionId: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            executionId: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>;
        readonly responses: {
            readonly 201: z.ZodObject<{
                jobId: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                jobId: string;
            }, {
                jobId: string;
            }>;
        };
    };
    readonly createWorkflowLogLegacy: {
        readonly method: "POST";
        readonly path: "/clusters/:clusterId/workflow-executions/:executionId/logs";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            executionId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            executionId: string;
            clusterId: string;
        }, {
            executionId: string;
            clusterId: string;
        }>;
        readonly body: z.ZodObject<{
            status: z.ZodEnum<["info", "warn", "error"]>;
            data: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
        }, "strip", z.ZodTypeAny, {
            status: "info" | "warn" | "error";
            data: {} & {
                [k: string]: unknown;
            };
        }, {
            status: "info" | "warn" | "error";
            data: {} & {
                [k: string]: unknown;
            };
        }>;
        readonly responses: {
            readonly 201: z.ZodObject<{
                id: z.ZodString;
                status: z.ZodEnum<["info", "warn", "error"]>;
                workflowExecutionId: z.ZodString;
                createdAt: z.ZodDate;
            }, "strip", z.ZodTypeAny, {
                status: "info" | "warn" | "error";
                id: string;
                createdAt: Date;
                workflowExecutionId: string;
            }, {
                status: "info" | "warn" | "error";
                id: string;
                createdAt: Date;
                workflowExecutionId: string;
            }>;
        };
    };
    readonly createWorkflowLog: {
        readonly method: "POST";
        readonly path: "/clusters/:clusterId/workflows/:workflowName/executions/:executionId/logs";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly pathParams: z.ZodObject<{
            workflowName: z.ZodString;
            clusterId: z.ZodString;
            executionId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            executionId: string;
            clusterId: string;
            workflowName: string;
        }, {
            executionId: string;
            clusterId: string;
            workflowName: string;
        }>;
        readonly body: z.ZodObject<{
            status: z.ZodEnum<["info", "warn", "error"]>;
            data: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
        }, "strip", z.ZodTypeAny, {
            status: "info" | "warn" | "error";
            data: {} & {
                [k: string]: unknown;
            };
        }, {
            status: "info" | "warn" | "error";
            data: {} & {
                [k: string]: unknown;
            };
        }>;
        readonly responses: {
            readonly 201: z.ZodUndefined;
        };
    };
    readonly createWorkflowNotification: {
        readonly method: "POST";
        readonly path: "/clusters/:clusterId/workflows/:workflowName/executions/:executionId/notification";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            executionId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            executionId: string;
            clusterId: string;
        }, {
            executionId: string;
            clusterId: string;
        }>;
        readonly body: z.ZodObject<{
            destination: z.ZodOptional<z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
                type: z.ZodLiteral<"slack">;
                channelId: z.ZodOptional<z.ZodString>;
                threadId: z.ZodOptional<z.ZodString>;
                userId: z.ZodOptional<z.ZodString>;
                email: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                type: "slack";
                channelId?: string | undefined;
                threadId?: string | undefined;
                userId?: string | undefined;
                email?: string | undefined;
            }, {
                type: "slack";
                channelId?: string | undefined;
                threadId?: string | undefined;
                userId?: string | undefined;
                email?: string | undefined;
            }>, z.ZodObject<{
                type: z.ZodLiteral<"email">;
                email: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                type: "email";
                email: string;
            }, {
                type: "email";
                email: string;
            }>]>>;
            message: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            message?: string | undefined;
            destination?: {
                type: "slack";
                channelId?: string | undefined;
                threadId?: string | undefined;
                userId?: string | undefined;
                email?: string | undefined;
            } | {
                type: "email";
                email: string;
            } | undefined;
        }, {
            message?: string | undefined;
            destination?: {
                type: "slack";
                channelId?: string | undefined;
                threadId?: string | undefined;
                userId?: string | undefined;
                email?: string | undefined;
            } | {
                type: "email";
                email: string;
            } | undefined;
        }>;
        readonly responses: {
            readonly 201: z.ZodUndefined;
        };
    };
    readonly listWorkflowExecutions: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/workflow-executions";
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly query: z.ZodObject<{
            workflowName: z.ZodOptional<z.ZodString>;
            workflowVersion: z.ZodOptional<z.ZodString>;
            workflowExecutionId: z.ZodOptional<z.ZodString>;
            workflowExecutionStatus: z.ZodOptional<z.ZodEnum<["pending", "running", "success", "failure", "stalled", "interrupted"]>>;
            limit: z.ZodDefault<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            limit: number;
            workflowExecutionId?: string | undefined;
            workflowVersion?: string | undefined;
            workflowName?: string | undefined;
            workflowExecutionStatus?: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted" | undefined;
        }, {
            limit?: number | undefined;
            workflowExecutionId?: string | undefined;
            workflowVersion?: string | undefined;
            workflowName?: string | undefined;
            workflowExecutionStatus?: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted" | undefined;
        }>;
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                execution: z.ZodObject<{
                    id: z.ZodString;
                    workflowName: z.ZodString;
                    workflowVersion: z.ZodNumber;
                    jobId: z.ZodString;
                    createdAt: z.ZodDate;
                    updatedAt: z.ZodDate;
                }, "strip", z.ZodTypeAny, {
                    id: string;
                    createdAt: Date;
                    jobId: string;
                    workflowVersion: number;
                    workflowName: string;
                    updatedAt: Date;
                }, {
                    id: string;
                    createdAt: Date;
                    jobId: string;
                    workflowVersion: number;
                    workflowName: string;
                    updatedAt: Date;
                }>;
                job: z.ZodObject<{
                    id: z.ZodNullable<z.ZodString>;
                    status: z.ZodNullable<z.ZodEnum<["pending", "running", "success", "failure", "stalled", "interrupted"]>>;
                    targetFn: z.ZodNullable<z.ZodString>;
                    executingMachineId: z.ZodOptional<z.ZodNullable<z.ZodString>>;
                    targetArgs: z.ZodNullable<z.ZodString>;
                    result: z.ZodNullable<z.ZodString>;
                    resultType: z.ZodNullable<z.ZodString>;
                    createdAt: z.ZodDate;
                    approvalRequested: z.ZodOptional<z.ZodNullable<z.ZodBoolean>>;
                    approved: z.ZodOptional<z.ZodNullable<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    status: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted" | null;
                    id: string | null;
                    resultType: string | null;
                    result: string | null;
                    createdAt: Date;
                    targetFn: string | null;
                    targetArgs: string | null;
                    executingMachineId?: string | null | undefined;
                    approved?: boolean | null | undefined;
                    approvalRequested?: boolean | null | undefined;
                }, {
                    status: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted" | null;
                    id: string | null;
                    resultType: string | null;
                    result: string | null;
                    createdAt: Date;
                    targetFn: string | null;
                    targetArgs: string | null;
                    executingMachineId?: string | null | undefined;
                    approved?: boolean | null | undefined;
                    approvalRequested?: boolean | null | undefined;
                }>;
                runs: z.ZodArray<z.ZodObject<{
                    id: z.ZodNullable<z.ZodString>;
                    name: z.ZodNullable<z.ZodString>;
                    createdAt: z.ZodNullable<z.ZodDate>;
                    status: z.ZodNullable<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>>;
                    failureReason: z.ZodNullable<z.ZodString>;
                    type: z.ZodNullable<z.ZodEnum<["single-step", "multi-step"]>>;
                }, "strip", z.ZodTypeAny, {
                    type: "single-step" | "multi-step" | null;
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    id: string | null;
                    name: string | null;
                    createdAt: Date | null;
                    failureReason: string | null;
                }, {
                    type: "single-step" | "multi-step" | null;
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    id: string | null;
                    name: string | null;
                    createdAt: Date | null;
                    failureReason: string | null;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                runs: {
                    type: "single-step" | "multi-step" | null;
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    id: string | null;
                    name: string | null;
                    createdAt: Date | null;
                    failureReason: string | null;
                }[];
                execution: {
                    id: string;
                    createdAt: Date;
                    jobId: string;
                    workflowVersion: number;
                    workflowName: string;
                    updatedAt: Date;
                };
                job: {
                    status: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted" | null;
                    id: string | null;
                    resultType: string | null;
                    result: string | null;
                    createdAt: Date;
                    targetFn: string | null;
                    targetArgs: string | null;
                    executingMachineId?: string | null | undefined;
                    approved?: boolean | null | undefined;
                    approvalRequested?: boolean | null | undefined;
                };
            }, {
                runs: {
                    type: "single-step" | "multi-step" | null;
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    id: string | null;
                    name: string | null;
                    createdAt: Date | null;
                    failureReason: string | null;
                }[];
                execution: {
                    id: string;
                    createdAt: Date;
                    jobId: string;
                    workflowVersion: number;
                    workflowName: string;
                    updatedAt: Date;
                };
                job: {
                    status: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted" | null;
                    id: string | null;
                    resultType: string | null;
                    result: string | null;
                    createdAt: Date;
                    targetFn: string | null;
                    targetArgs: string | null;
                    executingMachineId?: string | null | undefined;
                    approved?: boolean | null | undefined;
                    approvalRequested?: boolean | null | undefined;
                };
            }>, "many">;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly getWorkflowExecutionTimeline: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/workflows/:workflowName/executions/:executionId/timeline";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            workflowName: z.ZodString;
            executionId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            executionId: string;
            clusterId: string;
            workflowName: string;
        }, {
            executionId: string;
            clusterId: string;
            workflowName: string;
        }>;
        readonly responses: {
            readonly 404: z.ZodUndefined;
            readonly 200: z.ZodObject<{
                events: z.ZodArray<z.ZodObject<{
                    type: z.ZodString;
                    machineId: z.ZodNullable<z.ZodString>;
                    createdAt: z.ZodDate;
                    jobId: z.ZodNullable<z.ZodString>;
                    targetFn: z.ZodNullable<z.ZodString>;
                    resultType: z.ZodNullable<z.ZodString>;
                    status: z.ZodNullable<z.ZodString>;
                    runId: z.ZodNullable<z.ZodString>;
                    meta: z.ZodNullable<z.ZodAny>;
                    id: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    type: string;
                    status: string | null;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    runId: string | null;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                    meta?: any;
                }, {
                    type: string;
                    status: string | null;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    runId: string | null;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                    meta?: any;
                }>, "many">;
                runs: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    name: z.ZodString;
                    userId: z.ZodNullable<z.ZodString>;
                    failureReason: z.ZodNullable<z.ZodString>;
                    createdAt: z.ZodDate;
                    type: z.ZodEnum<["single-step", "multi-step"]>;
                    status: z.ZodNullable<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>>;
                }, "strip", z.ZodTypeAny, {
                    type: "single-step" | "multi-step";
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string;
                    createdAt: Date;
                    failureReason: string | null;
                }, {
                    type: "single-step" | "multi-step";
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string;
                    createdAt: Date;
                    failureReason: string | null;
                }>, "many">;
                execution: z.ZodObject<{
                    id: z.ZodString;
                    workflowName: z.ZodString;
                    workflowVersion: z.ZodNumber;
                    createdAt: z.ZodDate;
                    job: z.ZodObject<{
                        id: z.ZodString;
                        status: z.ZodString;
                        targetFn: z.ZodString;
                        executingMachineId: z.ZodNullable<z.ZodString>;
                        targetArgs: z.ZodString;
                        result: z.ZodNullable<z.ZodString>;
                        resultType: z.ZodNullable<z.ZodString>;
                        createdAt: z.ZodDate;
                        approved: z.ZodNullable<z.ZodBoolean>;
                        approvalRequested: z.ZodNullable<z.ZodBoolean>;
                    }, "strip", z.ZodTypeAny, {
                        status: string;
                        id: string;
                        resultType: string | null;
                        result: string | null;
                        createdAt: Date;
                        targetFn: string;
                        executingMachineId: string | null;
                        targetArgs: string;
                        approved: boolean | null;
                        approvalRequested: boolean | null;
                    }, {
                        status: string;
                        id: string;
                        resultType: string | null;
                        result: string | null;
                        createdAt: Date;
                        targetFn: string;
                        executingMachineId: string | null;
                        targetArgs: string;
                        approved: boolean | null;
                        approvalRequested: boolean | null;
                    }>;
                }, "strip", z.ZodTypeAny, {
                    id: string;
                    createdAt: Date;
                    workflowVersion: number;
                    workflowName: string;
                    job: {
                        status: string;
                        id: string;
                        resultType: string | null;
                        result: string | null;
                        createdAt: Date;
                        targetFn: string;
                        executingMachineId: string | null;
                        targetArgs: string;
                        approved: boolean | null;
                        approvalRequested: boolean | null;
                    };
                }, {
                    id: string;
                    createdAt: Date;
                    workflowVersion: number;
                    workflowName: string;
                    job: {
                        status: string;
                        id: string;
                        resultType: string | null;
                        result: string | null;
                        createdAt: Date;
                        targetFn: string;
                        executingMachineId: string | null;
                        targetArgs: string;
                        approved: boolean | null;
                        approvalRequested: boolean | null;
                    };
                }>;
                memos: z.ZodArray<z.ZodObject<{
                    key: z.ZodString;
                    value: z.ZodString;
                    createdAt: z.ZodDate;
                }, "strip", z.ZodTypeAny, {
                    value: string;
                    createdAt: Date;
                    key: string;
                }, {
                    value: string;
                    createdAt: Date;
                    key: string;
                }>, "many">;
                structured: z.ZodArray<z.ZodObject<{
                    key: z.ZodString;
                    value: z.ZodString;
                    createdAt: z.ZodDate;
                }, "strip", z.ZodTypeAny, {
                    value: string;
                    createdAt: Date;
                    key: string;
                }, {
                    value: string;
                    createdAt: Date;
                    key: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                runs: {
                    type: "single-step" | "multi-step";
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string;
                    createdAt: Date;
                    failureReason: string | null;
                }[];
                execution: {
                    id: string;
                    createdAt: Date;
                    workflowVersion: number;
                    workflowName: string;
                    job: {
                        status: string;
                        id: string;
                        resultType: string | null;
                        result: string | null;
                        createdAt: Date;
                        targetFn: string;
                        executingMachineId: string | null;
                        targetArgs: string;
                        approved: boolean | null;
                        approvalRequested: boolean | null;
                    };
                };
                events: {
                    type: string;
                    status: string | null;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    runId: string | null;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                    meta?: any;
                }[];
                memos: {
                    value: string;
                    createdAt: Date;
                    key: string;
                }[];
                structured: {
                    value: string;
                    createdAt: Date;
                    key: string;
                }[];
            }, {
                runs: {
                    type: "single-step" | "multi-step";
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string;
                    createdAt: Date;
                    failureReason: string | null;
                }[];
                execution: {
                    id: string;
                    createdAt: Date;
                    workflowVersion: number;
                    workflowName: string;
                    job: {
                        status: string;
                        id: string;
                        resultType: string | null;
                        result: string | null;
                        createdAt: Date;
                        targetFn: string;
                        executingMachineId: string | null;
                        targetArgs: string;
                        approved: boolean | null;
                        approvalRequested: boolean | null;
                    };
                };
                events: {
                    type: string;
                    status: string | null;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    runId: string | null;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                    meta?: any;
                }[];
                memos: {
                    value: string;
                    createdAt: Date;
                    key: string;
                }[];
                structured: {
                    value: string;
                    createdAt: Date;
                    key: string;
                }[];
            }>;
        };
    };
    readonly setClusterKV: {
        readonly method: "PUT";
        readonly path: "/clusters/:clusterId/keys/:key";
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            key: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            key: string;
        }, {
            clusterId: string;
            key: string;
        }>;
        readonly body: z.ZodObject<{
            onConflict: z.ZodEnum<["replace", "doNothing"]>;
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            value: string;
            onConflict: "replace" | "doNothing";
        }, {
            value: string;
            onConflict: "replace" | "doNothing";
        }>;
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodObject<{
                value: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                value: string;
            }, {
                value: string;
            }>;
        };
    };
    readonly getClusterKV: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/keys/:key/value";
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            key: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            key: string;
        }, {
            clusterId: string;
            key: string;
        }>;
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodObject<{
                value: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                value: string;
            }, {
                value: string;
            }>;
        };
    };
    readonly listTools: {
        readonly method: "GET";
        readonly path: "/clusters/:clusterId/tools";
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                description: z.ZodNullable<z.ZodString>;
                schema: z.ZodNullable<z.ZodString>;
                config: z.ZodNullable<z.ZodObject<{
                    cache: z.ZodOptional<z.ZodObject<{
                        keyPath: z.ZodString;
                        ttlSeconds: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        keyPath: string;
                        ttlSeconds: number;
                    }, {
                        keyPath: string;
                        ttlSeconds: number;
                    }>>;
                    retryCountOnStall: z.ZodOptional<z.ZodNumber>;
                    timeoutSeconds: z.ZodOptional<z.ZodNumber>;
                    private: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                }, {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                }>>;
                shouldExpire: z.ZodBoolean;
                lastPingAt: z.ZodNullable<z.ZodDate>;
                createdAt: z.ZodDate;
            }, "strip", z.ZodTypeAny, {
                name: string;
                createdAt: Date;
                description: string | null;
                schema: string | null;
                config: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | null;
                lastPingAt: Date | null;
                shouldExpire: boolean;
            }, {
                name: string;
                createdAt: Date;
                description: string | null;
                schema: string | null;
                config: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | null;
                lastPingAt: Date | null;
                shouldExpire: boolean;
            }>, "many">;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly l1mStructured: {
        readonly method: "POST";
        readonly path: "/clusters/:clusterId/l1m/structured";
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly body: z.ZodObject<{
            input: z.ZodString;
            instructions: z.ZodOptional<z.ZodString>;
            schema: z.ZodRecord<z.ZodString, z.ZodAny>;
        }, "strip", z.ZodTypeAny, {
            input: string;
            schema: Record<string, any>;
            instructions?: string | undefined;
        }, {
            input: string;
            schema: Record<string, any>;
            instructions?: string | undefined;
        }>;
        readonly headers: z.ZodObject<{
            authorization: z.ZodString;
            "x-provider-model": z.ZodOptional<z.ZodString>;
            "x-provider-url": z.ZodOptional<z.ZodString>;
            "x-provider-key": z.ZodOptional<z.ZodString>;
            "x-max-attempts": z.ZodDefault<z.ZodOptional<z.ZodString>>;
            "x-cache-ttl": z.ZodOptional<z.ZodString>;
            "x-workflow-execution-id": z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
            "x-max-attempts": string;
            "x-provider-key"?: string | undefined;
            "x-provider-model"?: string | undefined;
            "x-provider-url"?: string | undefined;
            "x-cache-ttl"?: string | undefined;
            "x-workflow-execution-id"?: string | undefined;
        }, {
            authorization: string;
            "x-provider-key"?: string | undefined;
            "x-provider-model"?: string | undefined;
            "x-provider-url"?: string | undefined;
            "x-max-attempts"?: string | undefined;
            "x-cache-ttl"?: string | undefined;
            "x-workflow-execution-id"?: string | undefined;
        }>;
        readonly responses: {
            readonly 200: z.ZodObject<{
                data: z.ZodRecord<z.ZodString, z.ZodAny>;
            }, "strip", z.ZodTypeAny, {
                data: Record<string, any>;
            }, {
                data: Record<string, any>;
            }>;
        };
    };
};
export declare const contract: {
    readonly live: {
        readonly method: "GET";
        path: "/live";
        responses: {
            readonly 200: z.ZodObject<{
                status: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                status: string;
            }, {
                status: string;
            }>;
        };
    };
    readonly createEphemeralSetup: {
        readonly method: "POST";
        readonly body: z.ZodUndefined;
        path: "/ephemeral-setup";
        responses: {
            readonly 200: z.ZodObject<{
                clusterId: z.ZodString;
                apiKey: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                apiKey: string;
                clusterId: string;
            }, {
                apiKey: string;
                clusterId: string;
            }>;
        };
    };
    readonly getContract: {
        readonly method: "GET";
        path: "/contract";
        responses: {
            readonly 200: z.ZodObject<{
                contract: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                contract: string;
            }, {
                contract: string;
            }>;
        };
    };
    readonly getJob: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            jobId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            jobId: string;
        }, {
            clusterId: string;
            jobId: string;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/jobs/:jobId";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodObject<{
                id: z.ZodString;
                status: z.ZodString;
                targetFn: z.ZodString;
                executingMachineId: z.ZodNullable<z.ZodString>;
                targetArgs: z.ZodString;
                result: z.ZodNullable<z.ZodString>;
                resultType: z.ZodNullable<z.ZodString>;
                createdAt: z.ZodDate;
                approved: z.ZodNullable<z.ZodBoolean>;
                approvalRequested: z.ZodNullable<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                status: string;
                id: string;
                resultType: string | null;
                result: string | null;
                createdAt: Date;
                targetFn: string;
                executingMachineId: string | null;
                targetArgs: string;
                approved: boolean | null;
                approvalRequested: boolean | null;
            }, {
                status: string;
                id: string;
                resultType: string | null;
                result: string | null;
                createdAt: Date;
                targetFn: string;
                executingMachineId: string | null;
                targetArgs: string;
                approved: boolean | null;
                approvalRequested: boolean | null;
            }>;
        };
    };
    readonly createJob: {
        readonly query: z.ZodObject<{
            waitTime: z.ZodDefault<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            waitTime: number;
        }, {
            waitTime?: number | undefined;
        }>;
        readonly method: "POST";
        readonly body: z.ZodObject<{
            function: z.ZodOptional<z.ZodString>;
            tool: z.ZodOptional<z.ZodString>;
            input: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
        }, "strip", z.ZodTypeAny, {
            input: {} & {
                [k: string]: unknown;
            };
            function?: string | undefined;
            tool?: string | undefined;
        }, {
            input: {} & {
                [k: string]: unknown;
            };
            function?: string | undefined;
            tool?: string | undefined;
        }>;
        path: "/clusters/:clusterId/jobs";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 401: z.ZodUndefined;
            readonly 200: z.ZodObject<{
                id: z.ZodString;
                result: z.ZodNullable<z.ZodAny>;
                resultType: z.ZodNullable<z.ZodEnum<["resolution", "rejection", "interrupt"]>>;
                status: z.ZodEnum<["pending", "running", "success", "failure", "stalled", "interrupted"]>;
            }, "strip", z.ZodTypeAny, {
                status: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted";
                id: string;
                resultType: "resolution" | "rejection" | "interrupt" | null;
                result?: any;
            }, {
                status: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted";
                id: string;
                resultType: "resolution" | "rejection" | "interrupt" | null;
                result?: any;
            }>;
        };
    };
    readonly cancelJob: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            jobId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            jobId: string;
        }, {
            clusterId: string;
            jobId: string;
        }>;
        readonly method: "POST";
        readonly body: z.ZodUndefined;
        path: "/clusters/:clusterId/jobs/:jobId/cancel";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 204: z.ZodUndefined;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly createJobResult: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            jobId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            jobId: string;
        }, {
            clusterId: string;
            jobId: string;
        }>;
        readonly method: "POST";
        readonly body: z.ZodObject<{
            result: z.ZodAny;
            resultType: z.ZodEnum<["resolution", "rejection", "interrupt"]>;
            meta: z.ZodObject<{
                functionExecutionTime: z.ZodOptional<z.ZodNumber>;
            }, "strip", z.ZodTypeAny, {
                functionExecutionTime?: number | undefined;
            }, {
                functionExecutionTime?: number | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            resultType: "resolution" | "rejection" | "interrupt";
            meta: {
                functionExecutionTime?: number | undefined;
            };
            result?: any;
        }, {
            resultType: "resolution" | "rejection" | "interrupt";
            meta: {
                functionExecutionTime?: number | undefined;
            };
            result?: any;
        }>;
        path: "/clusters/:clusterId/jobs/:jobId/result";
        headers: z.ZodObject<{
            "x-machine-id": z.ZodOptional<z.ZodString>;
            "x-machine-sdk-version": z.ZodOptional<z.ZodString>;
            "x-machine-sdk-language": z.ZodOptional<z.ZodString>;
            "x-forwarded-for": z.ZodOptional<z.ZodOptional<z.ZodString>>;
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
            "x-machine-id"?: string | undefined;
            "x-machine-sdk-version"?: string | undefined;
            "x-machine-sdk-language"?: string | undefined;
            "x-forwarded-for"?: string | undefined;
        }, {
            authorization: string;
            "x-machine-id"?: string | undefined;
            "x-machine-sdk-version"?: string | undefined;
            "x-machine-sdk-language"?: string | undefined;
            "x-forwarded-for"?: string | undefined;
        }>;
        responses: {
            readonly 204: z.ZodUndefined;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly listJobs: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly query: z.ZodObject<{
            tools: z.ZodOptional<z.ZodString>;
            status: z.ZodDefault<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>>;
            limit: z.ZodDefault<z.ZodNumber>;
            acknowledge: z.ZodDefault<z.ZodBoolean>;
            waitTime: z.ZodDefault<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            status: "pending" | "running" | "paused" | "done" | "failed";
            waitTime: number;
            limit: number;
            acknowledge: boolean;
            tools?: string | undefined;
        }, {
            status?: "pending" | "running" | "paused" | "done" | "failed" | undefined;
            tools?: string | undefined;
            waitTime?: number | undefined;
            limit?: number | undefined;
            acknowledge?: boolean | undefined;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/jobs";
        headers: z.ZodObject<{
            "x-machine-id": z.ZodOptional<z.ZodString>;
            "x-machine-sdk-version": z.ZodOptional<z.ZodString>;
            "x-machine-sdk-language": z.ZodOptional<z.ZodString>;
            "x-forwarded-for": z.ZodOptional<z.ZodOptional<z.ZodString>>;
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
            "x-machine-id"?: string | undefined;
            "x-machine-sdk-version"?: string | undefined;
            "x-machine-sdk-language"?: string | undefined;
            "x-forwarded-for"?: string | undefined;
        }, {
            authorization: string;
            "x-machine-id"?: string | undefined;
            "x-machine-sdk-version"?: string | undefined;
            "x-machine-sdk-language"?: string | undefined;
            "x-forwarded-for"?: string | undefined;
        }>;
        responses: {
            readonly 401: z.ZodUndefined;
            readonly 410: z.ZodObject<{
                message: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                message: string;
            }, {
                message: string;
            }>;
            readonly 200: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                function: z.ZodString;
                input: z.ZodAny;
                authContext: z.ZodNullable<z.ZodAny>;
                runContext: z.ZodNullable<z.ZodAny>;
                approved: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                function: string;
                id: string;
                approved: boolean;
                input?: any;
                authContext?: any;
                runContext?: any;
            }, {
                function: string;
                id: string;
                approved: boolean;
                input?: any;
                authContext?: any;
                runContext?: any;
            }>, "many">;
        };
    };
    readonly createJobApproval: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            jobId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            jobId: string;
        }, {
            clusterId: string;
            jobId: string;
        }>;
        readonly method: "POST";
        readonly body: z.ZodObject<{
            approved: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            approved: boolean;
        }, {
            approved: boolean;
        }>;
        path: "/clusters/:clusterId/jobs/:jobId/approval";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 204: z.ZodUndefined;
            readonly 404: z.ZodObject<{
                message: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                message: string;
            }, {
                message: string;
            }>;
        };
    };
    readonly createMachine: {
        readonly method: "POST";
        readonly body: z.ZodObject<{
            functions: z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                description: z.ZodOptional<z.ZodString>;
                schema: z.ZodOptional<z.ZodString>;
                config: z.ZodOptional<z.ZodObject<{
                    cache: z.ZodOptional<z.ZodObject<{
                        keyPath: z.ZodString;
                        ttlSeconds: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        keyPath: string;
                        ttlSeconds: number;
                    }, {
                        keyPath: string;
                        ttlSeconds: number;
                    }>>;
                    retryCountOnStall: z.ZodOptional<z.ZodNumber>;
                    timeoutSeconds: z.ZodOptional<z.ZodNumber>;
                    private: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                }, {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                }>>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }, {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }>, "many">>;
            tools: z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                description: z.ZodOptional<z.ZodString>;
                schema: z.ZodOptional<z.ZodString>;
                config: z.ZodOptional<z.ZodObject<{
                    cache: z.ZodOptional<z.ZodObject<{
                        keyPath: z.ZodString;
                        ttlSeconds: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        keyPath: string;
                        ttlSeconds: number;
                    }, {
                        keyPath: string;
                        ttlSeconds: number;
                    }>>;
                    retryCountOnStall: z.ZodOptional<z.ZodNumber>;
                    timeoutSeconds: z.ZodOptional<z.ZodNumber>;
                    private: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                }, {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                }>>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }, {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            tools?: {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }[] | undefined;
            functions?: {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }[] | undefined;
        }, {
            tools?: {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }[] | undefined;
            functions?: {
                name: string;
                description?: string | undefined;
                schema?: string | undefined;
                config?: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | undefined;
            }[] | undefined;
        }>;
        path: "/machines";
        headers: z.ZodObject<{
            "x-machine-id": z.ZodOptional<z.ZodString>;
            "x-machine-sdk-version": z.ZodOptional<z.ZodString>;
            "x-machine-sdk-language": z.ZodOptional<z.ZodString>;
            "x-forwarded-for": z.ZodOptional<z.ZodOptional<z.ZodString>>;
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
            "x-machine-id"?: string | undefined;
            "x-machine-sdk-version"?: string | undefined;
            "x-machine-sdk-language"?: string | undefined;
            "x-forwarded-for"?: string | undefined;
        }, {
            authorization: string;
            "x-machine-id"?: string | undefined;
            "x-machine-sdk-version"?: string | undefined;
            "x-machine-sdk-language"?: string | undefined;
            "x-forwarded-for"?: string | undefined;
        }>;
        responses: {
            readonly 200: z.ZodObject<{
                clusterId: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                clusterId: string;
            }, {
                clusterId: string;
            }>;
            readonly 204: z.ZodUndefined;
        };
    };
    readonly createCluster: {
        readonly method: "POST";
        readonly body: z.ZodObject<{
            description: z.ZodString;
            name: z.ZodOptional<z.ZodString>;
            isDemo: z.ZodDefault<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            description: string;
            isDemo: boolean;
            name?: string | undefined;
        }, {
            description: string;
            name?: string | undefined;
            isDemo?: boolean | undefined;
        }>;
        path: "/clusters";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 204: z.ZodUndefined;
        };
    };
    readonly deleteCluster: {
        readonly method: "DELETE";
        readonly body: z.ZodUndefined;
        path: "/clusters/:clusterId";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 204: z.ZodUndefined;
        };
    };
    readonly updateCluster: {
        readonly method: "PUT";
        readonly body: z.ZodObject<{
            name: z.ZodOptional<z.ZodString>;
            description: z.ZodOptional<z.ZodString>;
            debug: z.ZodOptional<z.ZodBoolean>;
            enableCustomAuth: z.ZodOptional<z.ZodBoolean>;
            enableKnowledgebase: z.ZodOptional<z.ZodBoolean>;
            handleCustomAuthFunction: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            name?: string | undefined;
            description?: string | undefined;
            debug?: boolean | undefined;
            enableCustomAuth?: boolean | undefined;
            enableKnowledgebase?: boolean | undefined;
            handleCustomAuthFunction?: string | undefined;
        }, {
            name?: string | undefined;
            description?: string | undefined;
            debug?: boolean | undefined;
            enableCustomAuth?: boolean | undefined;
            enableKnowledgebase?: boolean | undefined;
            handleCustomAuthFunction?: string | undefined;
        }>;
        path: "/clusters/:clusterId";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 204: z.ZodUndefined;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly getCluster: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodObject<{
                id: z.ZodString;
                name: z.ZodString;
                description: z.ZodNullable<z.ZodString>;
                createdAt: z.ZodNumber;
                debug: z.ZodBoolean;
                enableCustomAuth: z.ZodBoolean;
                handleCustomAuthFunction: z.ZodNullable<z.ZodString>;
                isDemo: z.ZodBoolean;
                machines: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    lastPingAt: z.ZodNullable<z.ZodNumber>;
                    ip: z.ZodNullable<z.ZodString>;
                    sdkVersion: z.ZodNullable<z.ZodString>;
                    sdkLanguage: z.ZodNullable<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    id: string;
                    lastPingAt: number | null;
                    ip: string | null;
                    sdkVersion: string | null;
                    sdkLanguage: string | null;
                }, {
                    id: string;
                    lastPingAt: number | null;
                    ip: string | null;
                    sdkVersion: string | null;
                    sdkLanguage: string | null;
                }>, "many">;
                tools: z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    description: z.ZodNullable<z.ZodString>;
                    schema: z.ZodNullable<z.ZodUnknown>;
                    config: z.ZodNullable<z.ZodUnknown>;
                    shouldExpire: z.ZodBoolean;
                    createdAt: z.ZodNumber;
                    lastPingAt: z.ZodNullable<z.ZodNumber>;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    createdAt: number;
                    description: string | null;
                    lastPingAt: number | null;
                    shouldExpire: boolean;
                    schema?: unknown;
                    config?: unknown;
                }, {
                    name: string;
                    createdAt: number;
                    description: string | null;
                    lastPingAt: number | null;
                    shouldExpire: boolean;
                    schema?: unknown;
                    config?: unknown;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                id: string;
                name: string;
                createdAt: number;
                tools: {
                    name: string;
                    createdAt: number;
                    description: string | null;
                    lastPingAt: number | null;
                    shouldExpire: boolean;
                    schema?: unknown;
                    config?: unknown;
                }[];
                description: string | null;
                isDemo: boolean;
                debug: boolean;
                enableCustomAuth: boolean;
                handleCustomAuthFunction: string | null;
                machines: {
                    id: string;
                    lastPingAt: number | null;
                    ip: string | null;
                    sdkVersion: string | null;
                    sdkLanguage: string | null;
                }[];
            }, {
                id: string;
                name: string;
                createdAt: number;
                tools: {
                    name: string;
                    createdAt: number;
                    description: string | null;
                    lastPingAt: number | null;
                    shouldExpire: boolean;
                    schema?: unknown;
                    config?: unknown;
                }[];
                description: string | null;
                isDemo: boolean;
                debug: boolean;
                enableCustomAuth: boolean;
                handleCustomAuthFunction: string | null;
                machines: {
                    id: string;
                    lastPingAt: number | null;
                    ip: string | null;
                    sdkVersion: string | null;
                    sdkLanguage: string | null;
                }[];
            }>;
            readonly 401: z.ZodUndefined;
            readonly 404: z.ZodUndefined;
        };
    };
    readonly listClusters: {
        readonly method: "GET";
        path: "/clusters";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                name: z.ZodString;
                createdAt: z.ZodDate;
                description: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                id: string;
                name: string;
                createdAt: Date;
                description: string | null;
            }, {
                id: string;
                name: string;
                createdAt: Date;
                description: string | null;
            }>, "many">;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly getIntegrations: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/integrations";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodObject<{
                toolhouse: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    apiKey: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    apiKey: string;
                }, {
                    apiKey: string;
                }>>>;
                langfuse: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    publicKey: z.ZodString;
                    secretKey: z.ZodString;
                    baseUrl: z.ZodString;
                    sendMessagePayloads: z.ZodBoolean;
                }, "strip", z.ZodTypeAny, {
                    publicKey: string;
                    secretKey: string;
                    baseUrl: string;
                    sendMessagePayloads: boolean;
                }, {
                    publicKey: string;
                    secretKey: string;
                    baseUrl: string;
                    sendMessagePayloads: boolean;
                }>>>;
                tavily: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    apiKey: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    apiKey: string;
                }, {
                    apiKey: string;
                }>>>;
                valtown: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    endpoint: z.ZodString;
                    token: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    endpoint: string;
                    token: string;
                }, {
                    endpoint: string;
                    token: string;
                }>>>;
                slack: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    nangoConnectionId: z.ZodString;
                    botUserId: z.ZodString;
                    teamId: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    nangoConnectionId: string;
                    botUserId: string;
                    teamId: string;
                }, {
                    nangoConnectionId: string;
                    botUserId: string;
                    teamId: string;
                }>>>;
                email: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    connectionId: z.ZodString;
                    validateSPFandDKIM: z.ZodOptional<z.ZodBoolean>;
                }, "strip", z.ZodTypeAny, {
                    connectionId: string;
                    validateSPFandDKIM?: boolean | undefined;
                }, {
                    connectionId: string;
                    validateSPFandDKIM?: boolean | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                slack?: {
                    nangoConnectionId: string;
                    botUserId: string;
                    teamId: string;
                } | null | undefined;
                email?: {
                    connectionId: string;
                    validateSPFandDKIM?: boolean | undefined;
                } | null | undefined;
                toolhouse?: {
                    apiKey: string;
                } | null | undefined;
                langfuse?: {
                    publicKey: string;
                    secretKey: string;
                    baseUrl: string;
                    sendMessagePayloads: boolean;
                } | null | undefined;
                tavily?: {
                    apiKey: string;
                } | null | undefined;
                valtown?: {
                    endpoint: string;
                    token: string;
                } | null | undefined;
            }, {
                slack?: {
                    nangoConnectionId: string;
                    botUserId: string;
                    teamId: string;
                } | null | undefined;
                email?: {
                    connectionId: string;
                    validateSPFandDKIM?: boolean | undefined;
                } | null | undefined;
                toolhouse?: {
                    apiKey: string;
                } | null | undefined;
                langfuse?: {
                    publicKey: string;
                    secretKey: string;
                    baseUrl: string;
                    sendMessagePayloads: boolean;
                } | null | undefined;
                tavily?: {
                    apiKey: string;
                } | null | undefined;
                valtown?: {
                    endpoint: string;
                    token: string;
                } | null | undefined;
            }>;
        };
    };
    readonly upsertIntegrations: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly method: "PUT";
        readonly body: z.ZodObject<{
            toolhouse: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                apiKey: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                apiKey: string;
            }, {
                apiKey: string;
            }>>>;
            langfuse: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                publicKey: z.ZodString;
                secretKey: z.ZodString;
                baseUrl: z.ZodString;
                sendMessagePayloads: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                publicKey: string;
                secretKey: string;
                baseUrl: string;
                sendMessagePayloads: boolean;
            }, {
                publicKey: string;
                secretKey: string;
                baseUrl: string;
                sendMessagePayloads: boolean;
            }>>>;
            tavily: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                apiKey: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                apiKey: string;
            }, {
                apiKey: string;
            }>>>;
            valtown: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                endpoint: z.ZodString;
                token: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                endpoint: string;
                token: string;
            }, {
                endpoint: string;
                token: string;
            }>>>;
            slack: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                nangoConnectionId: z.ZodString;
                botUserId: z.ZodString;
                teamId: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                nangoConnectionId: string;
                botUserId: string;
                teamId: string;
            }, {
                nangoConnectionId: string;
                botUserId: string;
                teamId: string;
            }>>>;
            email: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                connectionId: z.ZodString;
                validateSPFandDKIM: z.ZodOptional<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                connectionId: string;
                validateSPFandDKIM?: boolean | undefined;
            }, {
                connectionId: string;
                validateSPFandDKIM?: boolean | undefined;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            slack?: {
                nangoConnectionId: string;
                botUserId: string;
                teamId: string;
            } | null | undefined;
            email?: {
                connectionId: string;
                validateSPFandDKIM?: boolean | undefined;
            } | null | undefined;
            toolhouse?: {
                apiKey: string;
            } | null | undefined;
            langfuse?: {
                publicKey: string;
                secretKey: string;
                baseUrl: string;
                sendMessagePayloads: boolean;
            } | null | undefined;
            tavily?: {
                apiKey: string;
            } | null | undefined;
            valtown?: {
                endpoint: string;
                token: string;
            } | null | undefined;
        }, {
            slack?: {
                nangoConnectionId: string;
                botUserId: string;
                teamId: string;
            } | null | undefined;
            email?: {
                connectionId: string;
                validateSPFandDKIM?: boolean | undefined;
            } | null | undefined;
            toolhouse?: {
                apiKey: string;
            } | null | undefined;
            langfuse?: {
                publicKey: string;
                secretKey: string;
                baseUrl: string;
                sendMessagePayloads: boolean;
            } | null | undefined;
            tavily?: {
                apiKey: string;
            } | null | undefined;
            valtown?: {
                endpoint: string;
                token: string;
            } | null | undefined;
        }>;
        path: "/clusters/:clusterId/integrations";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodUndefined;
            readonly 401: z.ZodUndefined;
            readonly 400: z.ZodObject<{
                message: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                message: string;
            }, {
                message: string;
            }>;
        };
    };
    readonly listEvents: {
        readonly query: z.ZodObject<{
            type: z.ZodOptional<z.ZodString>;
            jobId: z.ZodOptional<z.ZodString>;
            machineId: z.ZodOptional<z.ZodString>;
            runId: z.ZodOptional<z.ZodString>;
            includeMeta: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            type?: string | undefined;
            runId?: string | undefined;
            jobId?: string | undefined;
            machineId?: string | undefined;
            includeMeta?: string | undefined;
        }, {
            type?: string | undefined;
            runId?: string | undefined;
            jobId?: string | undefined;
            machineId?: string | undefined;
            includeMeta?: string | undefined;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/events";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                type: z.ZodString;
                machineId: z.ZodNullable<z.ZodString>;
                createdAt: z.ZodDate;
                jobId: z.ZodNullable<z.ZodString>;
                targetFn: z.ZodNullable<z.ZodString>;
                resultType: z.ZodNullable<z.ZodString>;
                status: z.ZodNullable<z.ZodString>;
                runId: z.ZodNullable<z.ZodString>;
                meta: z.ZodNullable<z.ZodAny>;
                id: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                type: string;
                status: string | null;
                id: string;
                resultType: string | null;
                createdAt: Date;
                runId: string | null;
                jobId: string | null;
                targetFn: string | null;
                machineId: string | null;
                meta?: any;
            }, {
                type: string;
                status: string | null;
                id: string;
                resultType: string | null;
                createdAt: Date;
                runId: string | null;
                jobId: string | null;
                targetFn: string | null;
                machineId: string | null;
                meta?: any;
            }>, "many">;
            readonly 401: z.ZodUndefined;
            readonly 404: z.ZodUndefined;
        };
    };
    readonly getEventMeta: {
        readonly method: "GET";
        path: "/clusters/:clusterId/events/:eventId/meta";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodObject<{
                type: z.ZodString;
                machineId: z.ZodNullable<z.ZodString>;
                createdAt: z.ZodDate;
                jobId: z.ZodNullable<z.ZodString>;
                targetFn: z.ZodNullable<z.ZodString>;
                resultType: z.ZodNullable<z.ZodString>;
                status: z.ZodNullable<z.ZodString>;
                meta: z.ZodUnknown;
                id: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                type: string;
                status: string | null;
                id: string;
                resultType: string | null;
                createdAt: Date;
                jobId: string | null;
                targetFn: string | null;
                machineId: string | null;
                meta?: unknown;
            }, {
                type: string;
                status: string | null;
                id: string;
                resultType: string | null;
                createdAt: Date;
                jobId: string | null;
                targetFn: string | null;
                machineId: string | null;
                meta?: unknown;
            }>;
            readonly 401: z.ZodUndefined;
            readonly 404: z.ZodUndefined;
        };
    };
    readonly listUsageActivity: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/usage";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodObject<{
                modelUsage: z.ZodArray<z.ZodObject<{
                    date: z.ZodString;
                    modelId: z.ZodNullable<z.ZodString>;
                    totalInputTokens: z.ZodNumber;
                    totalOutputTokens: z.ZodNumber;
                    totalModelInvocations: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    date: string;
                    modelId: string | null;
                    totalInputTokens: number;
                    totalOutputTokens: number;
                    totalModelInvocations: number;
                }, {
                    date: string;
                    modelId: string | null;
                    totalInputTokens: number;
                    totalOutputTokens: number;
                    totalModelInvocations: number;
                }>, "many">;
                runs: z.ZodArray<z.ZodObject<{
                    date: z.ZodString;
                    totalRuns: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    date: string;
                    totalRuns: number;
                }, {
                    date: string;
                    totalRuns: number;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                modelUsage: {
                    date: string;
                    modelId: string | null;
                    totalInputTokens: number;
                    totalOutputTokens: number;
                    totalModelInvocations: number;
                }[];
                runs: {
                    date: string;
                    totalRuns: number;
                }[];
            }, {
                modelUsage: {
                    date: string;
                    modelId: string | null;
                    totalInputTokens: number;
                    totalOutputTokens: number;
                    totalModelInvocations: number;
                }[];
                runs: {
                    date: string;
                    totalRuns: number;
                }[];
            }>;
        };
    };
    readonly createRun: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly method: "POST";
        readonly body: z.ZodObject<{
            id: z.ZodEffects<z.ZodOptional<z.ZodString>, string | undefined, string | undefined>;
            runId: z.ZodEffects<z.ZodOptional<z.ZodString>, string | undefined, string | undefined>;
            initialPrompt: z.ZodOptional<z.ZodString>;
            systemPrompt: z.ZodOptional<z.ZodString>;
            name: z.ZodOptional<z.ZodString>;
            resultSchema: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            tools: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            attachedFunctions: z.ZodOptional<z.ZodArray<z.ZodObject<{
                service: z.ZodString;
                function: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                function: string;
                service: string;
            }, {
                function: string;
                service: string;
            }>, "many">>;
            onStatusChange: z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"function">;
                statuses: z.ZodArray<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>, "many">;
                function: z.ZodObject<{
                    service: z.ZodString;
                    function: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    function: string;
                    service: string;
                }, {
                    function: string;
                    service: string;
                }>;
            }, "strip", z.ZodTypeAny, {
                function: {
                    function: string;
                    service: string;
                };
                type: "function";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
            }, {
                function: {
                    function: string;
                    service: string;
                };
                type: "function";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
            }>, z.ZodObject<{
                type: z.ZodLiteral<"tool">;
                statuses: z.ZodArray<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>, "many">;
                tool: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                type: "tool";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                tool: string;
            }, {
                type: "tool";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                tool: string;
            }>, z.ZodObject<{
                type: z.ZodLiteral<"webhook">;
                statuses: z.ZodArray<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>, "many">;
                webhook: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                type: "webhook";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                webhook: string;
            }, {
                type: "webhook";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                webhook: string;
            }>, z.ZodObject<{
                type: z.ZodLiteral<"workflow">;
                statuses: z.ZodArray<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>, "many">;
                workflow: z.ZodObject<{
                    executionId: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    executionId: string;
                }, {
                    executionId: string;
                }>;
            }, "strip", z.ZodTypeAny, {
                type: "workflow";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                workflow: {
                    executionId: string;
                };
            }, {
                type: "workflow";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                workflow: {
                    executionId: string;
                };
            }>]>, {
                function: {
                    function: string;
                    service: string;
                };
                type: "function";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
            } | {
                type: "tool";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                tool: string;
            } | {
                type: "webhook";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                webhook: string;
            } | {
                type: "workflow";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                workflow: {
                    executionId: string;
                };
            }, unknown>>;
            tags: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
            input: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            context: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            reasoningTraces: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
            interactive: z.ZodDefault<z.ZodBoolean>;
            enableResultGrounding: z.ZodDefault<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            interactive: boolean;
            enableResultGrounding: boolean;
            id?: string | undefined;
            name?: string | undefined;
            input?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            runId?: string | undefined;
            initialPrompt?: string | undefined;
            systemPrompt?: string | undefined;
            resultSchema?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            tools?: string[] | undefined;
            attachedFunctions?: {
                function: string;
                service: string;
            }[] | undefined;
            onStatusChange?: {
                function: {
                    function: string;
                    service: string;
                };
                type: "function";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
            } | {
                type: "tool";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                tool: string;
            } | {
                type: "webhook";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                webhook: string;
            } | {
                type: "workflow";
                statuses: ("pending" | "running" | "paused" | "done" | "failed")[];
                workflow: {
                    executionId: string;
                };
            } | undefined;
            tags?: Record<string, string> | undefined;
            context?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            reasoningTraces?: boolean | undefined;
        }, {
            id?: string | undefined;
            name?: string | undefined;
            input?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            runId?: string | undefined;
            initialPrompt?: string | undefined;
            systemPrompt?: string | undefined;
            resultSchema?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            tools?: string[] | undefined;
            attachedFunctions?: {
                function: string;
                service: string;
            }[] | undefined;
            onStatusChange?: unknown;
            tags?: Record<string, string> | undefined;
            context?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            reasoningTraces?: boolean | undefined;
            interactive?: boolean | undefined;
            enableResultGrounding?: boolean | undefined;
        }>;
        path: "/clusters/:clusterId/runs";
        headers: z.ZodObject<{
            authorization: z.ZodString;
            "x-provider-key": z.ZodOptional<z.ZodString>;
            "x-provider-model": z.ZodOptional<z.ZodEnum<["claude-3-7-sonnet-20250219", "claude-3-7-sonnet-latest", "claude-3-5-sonnet-20241022", "claude-3-5-sonnet-latest", "claude-3-5-sonnet-20240620", "claude-3-5-haiku-20241022", "claude-3-5-haiku-latest"]>>;
            "x-provider-url": z.ZodDefault<z.ZodLiteral<"https://api.anthropic.com">>;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
            "x-provider-url": "https://api.anthropic.com";
            "x-provider-key"?: string | undefined;
            "x-provider-model"?: "claude-3-7-sonnet-20250219" | "claude-3-7-sonnet-latest" | "claude-3-5-sonnet-20241022" | "claude-3-5-sonnet-latest" | "claude-3-5-sonnet-20240620" | "claude-3-5-haiku-20241022" | "claude-3-5-haiku-latest" | undefined;
        }, {
            authorization: string;
            "x-provider-key"?: string | undefined;
            "x-provider-model"?: "claude-3-7-sonnet-20250219" | "claude-3-7-sonnet-latest" | "claude-3-5-sonnet-20241022" | "claude-3-5-sonnet-latest" | "claude-3-5-sonnet-20240620" | "claude-3-5-haiku-20241022" | "claude-3-5-haiku-latest" | undefined;
            "x-provider-url"?: "https://api.anthropic.com" | undefined;
        }>;
        responses: {
            readonly 201: z.ZodObject<{
                id: z.ZodString;
                status: z.ZodEnum<["pending", "running", "paused", "done", "failed"]>;
                result: z.ZodNullable<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            }, "strip", z.ZodTypeAny, {
                status: "pending" | "running" | "paused" | "done" | "failed";
                id: string;
                result: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | null;
            }, {
                status: "pending" | "running" | "paused" | "done" | "failed";
                id: string;
                result: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | null;
            }>;
            readonly 401: z.ZodUndefined;
            readonly 400: z.ZodObject<{
                message: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                message: string;
            }, {
                message: string;
            }>;
        };
    };
    readonly deleteRun: {
        readonly pathParams: z.ZodObject<{
            runId: z.ZodString;
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            runId: string;
            clusterId: string;
        }, {
            runId: string;
            clusterId: string;
        }>;
        readonly method: "DELETE";
        readonly body: z.ZodUndefined;
        path: "/clusters/:clusterId/runs/:runId";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 204: z.ZodUndefined;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly listRuns: {
        readonly query: z.ZodObject<{
            userId: z.ZodOptional<z.ZodString>;
            test: z.ZodOptional<z.ZodEffects<z.ZodString, boolean, string>>;
            limit: z.ZodDefault<z.ZodNumber>;
            tags: z.ZodOptional<z.ZodString>;
            type: z.ZodDefault<z.ZodEnum<["conversation", "workflow", "all"]>>;
        }, "strip", z.ZodTypeAny, {
            type: "workflow" | "conversation" | "all";
            limit: number;
            userId?: string | undefined;
            tags?: string | undefined;
            test?: boolean | undefined;
        }, {
            type?: "workflow" | "conversation" | "all" | undefined;
            userId?: string | undefined;
            tags?: string | undefined;
            limit?: number | undefined;
            test?: string | undefined;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/runs";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                name: z.ZodString;
                userId: z.ZodNullable<z.ZodString>;
                createdAt: z.ZodDate;
                type: z.ZodEnum<["single-step", "multi-step"]>;
                status: z.ZodNullable<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>>;
                test: z.ZodBoolean;
                feedbackScore: z.ZodNullable<z.ZodNumber>;
                workflowExecutionId: z.ZodNullable<z.ZodString>;
                workflowVersion: z.ZodNullable<z.ZodNumber>;
                workflowName: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                type: "single-step" | "multi-step";
                status: "pending" | "running" | "paused" | "done" | "failed" | null;
                userId: string | null;
                id: string;
                name: string;
                createdAt: Date;
                test: boolean;
                feedbackScore: number | null;
                workflowExecutionId: string | null;
                workflowVersion: number | null;
                workflowName: string | null;
            }, {
                type: "single-step" | "multi-step";
                status: "pending" | "running" | "paused" | "done" | "failed" | null;
                userId: string | null;
                id: string;
                name: string;
                createdAt: Date;
                test: boolean;
                feedbackScore: number | null;
                workflowExecutionId: string | null;
                workflowVersion: number | null;
                workflowName: string | null;
            }>, "many">;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly getRun: {
        readonly method: "GET";
        path: "/clusters/:clusterId/runs/:runId";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodObject<{
                id: z.ZodString;
                userId: z.ZodNullable<z.ZodString>;
                type: z.ZodNullable<z.ZodEnum<["single-step", "multi-step"]>>;
                status: z.ZodNullable<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>>;
                failureReason: z.ZodNullable<z.ZodString>;
                test: z.ZodBoolean;
                feedbackComment: z.ZodNullable<z.ZodString>;
                feedbackScore: z.ZodNullable<z.ZodNumber>;
                context: z.ZodNullable<z.ZodAny>;
                authContext: z.ZodNullable<z.ZodAny>;
                result: z.ZodNullable<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                tags: z.ZodNullable<z.ZodRecord<z.ZodString, z.ZodString>>;
                tools: z.ZodNullable<z.ZodArray<z.ZodString, "many">>;
            }, "strip", z.ZodTypeAny, {
                type: "single-step" | "multi-step" | null;
                status: "pending" | "running" | "paused" | "done" | "failed" | null;
                userId: string | null;
                id: string;
                result: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | null;
                tools: string[] | null;
                tags: Record<string, string> | null;
                test: boolean;
                feedbackScore: number | null;
                failureReason: string | null;
                feedbackComment: string | null;
                context?: any;
                authContext?: any;
            }, {
                type: "single-step" | "multi-step" | null;
                status: "pending" | "running" | "paused" | "done" | "failed" | null;
                userId: string | null;
                id: string;
                result: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | null;
                tools: string[] | null;
                tags: Record<string, string> | null;
                test: boolean;
                feedbackScore: number | null;
                failureReason: string | null;
                feedbackComment: string | null;
                context?: any;
                authContext?: any;
            }>;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly createFeedback: {
        readonly pathParams: z.ZodObject<{
            runId: z.ZodString;
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            runId: string;
            clusterId: string;
        }, {
            runId: string;
            clusterId: string;
        }>;
        readonly method: "POST";
        readonly body: z.ZodObject<{
            comment: z.ZodNullable<z.ZodString>;
            score: z.ZodNullable<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            comment: string | null;
            score: number | null;
        }, {
            comment: string | null;
            score: number | null;
        }>;
        path: "/clusters/:clusterId/runs/:runId/feedback";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 204: z.ZodUndefined;
            readonly 401: z.ZodUndefined;
            readonly 404: z.ZodUndefined;
        };
    };
    readonly oas: {
        readonly method: "GET";
        path: "/public/oas.json";
        responses: {
            readonly 200: z.ZodUnknown;
        };
    };
    readonly createMessage: {
        readonly pathParams: z.ZodObject<{
            runId: z.ZodString;
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            runId: string;
            clusterId: string;
        }, {
            runId: string;
            clusterId: string;
        }>;
        readonly method: "POST";
        readonly body: z.ZodObject<{
            id: z.ZodOptional<z.ZodString>;
            message: z.ZodString;
            type: z.ZodOptional<z.ZodEnum<["human", "supervisor"]>>;
        }, "strip", z.ZodTypeAny, {
            message: string;
            type?: "human" | "supervisor" | undefined;
            id?: string | undefined;
        }, {
            message: string;
            type?: "human" | "supervisor" | undefined;
            id?: string | undefined;
        }>;
        path: "/clusters/:clusterId/runs/:runId/messages";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 201: z.ZodUndefined;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly listMessages: {
        readonly query: z.ZodObject<{
            waitTime: z.ZodDefault<z.ZodNumber>;
            after: z.ZodDefault<z.ZodString>;
            limit: z.ZodDefault<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            waitTime: number;
            limit: number;
            after: string;
        }, {
            waitTime?: number | undefined;
            limit?: number | undefined;
            after?: string | undefined;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/runs/:runId/messages";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodArray<z.ZodDiscriminatedUnion<"type", [z.ZodObject<z.objectUtil.extendShape<{
                type: z.ZodLiteral<"agent">;
                data: z.ZodObject<{
                    done: z.ZodOptional<z.ZodBoolean>;
                    result: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                    message: z.ZodOptional<z.ZodString>;
                    learnings: z.ZodOptional<z.ZodArray<z.ZodObject<{
                        summary: z.ZodString;
                        entities: z.ZodArray<z.ZodObject<{
                            name: z.ZodString;
                            type: z.ZodEnum<["tool"]>;
                        }, "strip", z.ZodTypeAny, {
                            type: "tool";
                            name: string;
                        }, {
                            type: "tool";
                            name: string;
                        }>, "many">;
                        relevance: z.ZodObject<{
                            temporality: z.ZodEnum<["transient", "persistent"]>;
                        }, "strip", z.ZodTypeAny, {
                            temporality: "transient" | "persistent";
                        }, {
                            temporality: "transient" | "persistent";
                        }>;
                    }, "strip", z.ZodTypeAny, {
                        summary: string;
                        entities: {
                            type: "tool";
                            name: string;
                        }[];
                        relevance: {
                            temporality: "transient" | "persistent";
                        };
                    }, {
                        summary: string;
                        entities: {
                            type: "tool";
                            name: string;
                        }[];
                        relevance: {
                            temporality: "transient" | "persistent";
                        };
                    }>, "many">>;
                    issue: z.ZodOptional<z.ZodString>;
                    invocations: z.ZodOptional<z.ZodArray<z.ZodObject<{
                        id: z.ZodOptional<z.ZodString>;
                        toolName: z.ZodString;
                        reasoning: z.ZodOptional<z.ZodString>;
                        input: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
                    }, "strip", z.ZodTypeAny, {
                        toolName: string;
                        input: {} & {
                            [k: string]: unknown;
                        };
                        id?: string | undefined;
                        reasoning?: string | undefined;
                    }, {
                        toolName: string;
                        input: {} & {
                            [k: string]: unknown;
                        };
                        id?: string | undefined;
                        reasoning?: string | undefined;
                    }>, "many">>;
                }, "strict", z.ZodTypeAny, {
                    message?: string | undefined;
                    done?: boolean | undefined;
                    result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    learnings?: {
                        summary: string;
                        entities: {
                            type: "tool";
                            name: string;
                        }[];
                        relevance: {
                            temporality: "transient" | "persistent";
                        };
                    }[] | undefined;
                    issue?: string | undefined;
                    invocations?: {
                        toolName: string;
                        input: {} & {
                            [k: string]: unknown;
                        };
                        id?: string | undefined;
                        reasoning?: string | undefined;
                    }[] | undefined;
                }, {
                    message?: string | undefined;
                    done?: boolean | undefined;
                    result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    learnings?: {
                        summary: string;
                        entities: {
                            type: "tool";
                            name: string;
                        }[];
                        relevance: {
                            temporality: "transient" | "persistent";
                        };
                    }[] | undefined;
                    issue?: string | undefined;
                    invocations?: {
                        toolName: string;
                        input: {} & {
                            [k: string]: unknown;
                        };
                        id?: string | undefined;
                        reasoning?: string | undefined;
                    }[] | undefined;
                }>;
            }, {
                id: z.ZodString;
                createdAt: z.ZodOptional<z.ZodDate>;
                pending: z.ZodOptional<z.ZodBoolean>;
                metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
            }>, "strip", z.ZodTypeAny, {
                type: "agent";
                id: string;
                data: {
                    message?: string | undefined;
                    done?: boolean | undefined;
                    result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    learnings?: {
                        summary: string;
                        entities: {
                            type: "tool";
                            name: string;
                        }[];
                        relevance: {
                            temporality: "transient" | "persistent";
                        };
                    }[] | undefined;
                    issue?: string | undefined;
                    invocations?: {
                        toolName: string;
                        input: {} & {
                            [k: string]: unknown;
                        };
                        id?: string | undefined;
                        reasoning?: string | undefined;
                    }[] | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }, {
                type: "agent";
                id: string;
                data: {
                    message?: string | undefined;
                    done?: boolean | undefined;
                    result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    learnings?: {
                        summary: string;
                        entities: {
                            type: "tool";
                            name: string;
                        }[];
                        relevance: {
                            temporality: "transient" | "persistent";
                        };
                    }[] | undefined;
                    issue?: string | undefined;
                    invocations?: {
                        toolName: string;
                        input: {} & {
                            [k: string]: unknown;
                        };
                        id?: string | undefined;
                        reasoning?: string | undefined;
                    }[] | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }>, z.ZodObject<z.objectUtil.extendShape<{
                type: z.ZodLiteral<"invocation-result">;
                data: z.ZodObject<{
                    id: z.ZodString;
                    toolName: z.ZodString;
                    resultType: z.ZodEnum<["resolution", "rejection"]>;
                    result: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
                }, "strict", z.ZodTypeAny, {
                    id: string;
                    toolName: string;
                    resultType: "resolution" | "rejection";
                    result: {} & {
                        [k: string]: unknown;
                    };
                }, {
                    id: string;
                    toolName: string;
                    resultType: "resolution" | "rejection";
                    result: {} & {
                        [k: string]: unknown;
                    };
                }>;
            }, {
                id: z.ZodString;
                createdAt: z.ZodOptional<z.ZodDate>;
                pending: z.ZodOptional<z.ZodBoolean>;
                metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
            }>, "strip", z.ZodTypeAny, {
                type: "invocation-result";
                id: string;
                data: {
                    id: string;
                    toolName: string;
                    resultType: "resolution" | "rejection";
                    result: {} & {
                        [k: string]: unknown;
                    };
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }, {
                type: "invocation-result";
                id: string;
                data: {
                    id: string;
                    toolName: string;
                    resultType: "resolution" | "rejection";
                    result: {} & {
                        [k: string]: unknown;
                    };
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }>, z.ZodObject<z.objectUtil.extendShape<{
                type: z.ZodLiteral<"human">;
                data: z.ZodObject<{
                    message: z.ZodString;
                    details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                }, "strict", z.ZodTypeAny, {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }, {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }>;
            }, {
                id: z.ZodString;
                createdAt: z.ZodOptional<z.ZodDate>;
                pending: z.ZodOptional<z.ZodBoolean>;
                metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
            }>, "strip", z.ZodTypeAny, {
                type: "human";
                id: string;
                data: {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }, {
                type: "human";
                id: string;
                data: {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }>, z.ZodObject<z.objectUtil.extendShape<{
                type: z.ZodLiteral<"template">;
                data: z.ZodObject<{
                    message: z.ZodString;
                    details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                }, "strict", z.ZodTypeAny, {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }, {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }>;
            }, {
                id: z.ZodString;
                createdAt: z.ZodOptional<z.ZodDate>;
                pending: z.ZodOptional<z.ZodBoolean>;
                metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
            }>, "strip", z.ZodTypeAny, {
                type: "template";
                id: string;
                data: {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }, {
                type: "template";
                id: string;
                data: {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }>, z.ZodObject<z.objectUtil.extendShape<{
                type: z.ZodLiteral<"supervisor">;
                data: z.ZodObject<{
                    message: z.ZodString;
                    details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                }, "strict", z.ZodTypeAny, {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }, {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }>;
            }, {
                id: z.ZodString;
                createdAt: z.ZodOptional<z.ZodDate>;
                pending: z.ZodOptional<z.ZodBoolean>;
                metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
            }>, "strip", z.ZodTypeAny, {
                type: "supervisor";
                id: string;
                data: {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }, {
                type: "supervisor";
                id: string;
                data: {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }>, z.ZodObject<z.objectUtil.extendShape<{
                type: z.ZodLiteral<"agent-invalid">;
                data: z.ZodObject<{
                    message: z.ZodString;
                    details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                }, "strict", z.ZodTypeAny, {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }, {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                }>;
            }, {
                id: z.ZodString;
                createdAt: z.ZodOptional<z.ZodDate>;
                pending: z.ZodOptional<z.ZodBoolean>;
                metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
            }>, "strip", z.ZodTypeAny, {
                type: "agent-invalid";
                id: string;
                data: {
                    message: string;
                    details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }, {
                type: "agent-invalid";
                id: string;
                data: {
                    message: string;
                    details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                };
                pending?: boolean | undefined;
                createdAt?: Date | undefined;
                metadata?: Record<string, unknown> | null | undefined;
            }>]>, "many">;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly createApiKey: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly method: "POST";
        readonly body: z.ZodObject<{
            name: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
        }, {
            name: string;
        }>;
        path: "/clusters/:clusterId/api-keys";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodObject<{
                id: z.ZodString;
                key: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                id: string;
                key: string;
            }, {
                id: string;
                key: string;
            }>;
        };
    };
    readonly listApiKeys: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/api-keys";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                name: z.ZodString;
                createdAt: z.ZodDate;
                createdBy: z.ZodString;
                revokedAt: z.ZodNullable<z.ZodDate>;
            }, "strip", z.ZodTypeAny, {
                id: string;
                name: string;
                createdAt: Date;
                createdBy: string;
                revokedAt: Date | null;
            }, {
                id: string;
                name: string;
                createdAt: Date;
                createdBy: string;
                revokedAt: Date | null;
            }>, "many">;
        };
    };
    readonly revokeApiKey: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            keyId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            keyId: string;
        }, {
            clusterId: string;
            keyId: string;
        }>;
        readonly method: "DELETE";
        readonly body: z.ZodUndefined;
        path: "/clusters/:clusterId/api-keys/:keyId";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 204: z.ZodUndefined;
        };
    };
    readonly listMachines: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly query: z.ZodObject<{
            limit: z.ZodDefault<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            limit: number;
        }, {
            limit?: number | undefined;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/machines";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                lastPingAt: z.ZodDate;
                ip: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                id: string;
                lastPingAt: Date;
                ip: string;
            }, {
                id: string;
                lastPingAt: Date;
                ip: string;
            }>, "many">;
        };
    };
    readonly getRunTimeline: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            runId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            runId: string;
            clusterId: string;
        }, {
            runId: string;
            clusterId: string;
        }>;
        readonly query: z.ZodObject<{
            messagesAfter: z.ZodDefault<z.ZodString>;
            activityAfter: z.ZodDefault<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            messagesAfter: string;
            activityAfter: string;
        }, {
            messagesAfter?: string | undefined;
            activityAfter?: string | undefined;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/runs/:runId/timeline";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 404: z.ZodUndefined;
            readonly 200: z.ZodObject<{
                messages: z.ZodArray<z.ZodDiscriminatedUnion<"type", [z.ZodObject<z.objectUtil.extendShape<{
                    type: z.ZodLiteral<"agent">;
                    data: z.ZodObject<{
                        done: z.ZodOptional<z.ZodBoolean>;
                        result: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                        message: z.ZodOptional<z.ZodString>;
                        learnings: z.ZodOptional<z.ZodArray<z.ZodObject<{
                            summary: z.ZodString;
                            entities: z.ZodArray<z.ZodObject<{
                                name: z.ZodString;
                                type: z.ZodEnum<["tool"]>;
                            }, "strip", z.ZodTypeAny, {
                                type: "tool";
                                name: string;
                            }, {
                                type: "tool";
                                name: string;
                            }>, "many">;
                            relevance: z.ZodObject<{
                                temporality: z.ZodEnum<["transient", "persistent"]>;
                            }, "strip", z.ZodTypeAny, {
                                temporality: "transient" | "persistent";
                            }, {
                                temporality: "transient" | "persistent";
                            }>;
                        }, "strip", z.ZodTypeAny, {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }, {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }>, "many">>;
                        issue: z.ZodOptional<z.ZodString>;
                        invocations: z.ZodOptional<z.ZodArray<z.ZodObject<{
                            id: z.ZodOptional<z.ZodString>;
                            toolName: z.ZodString;
                            reasoning: z.ZodOptional<z.ZodString>;
                            input: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
                        }, "strip", z.ZodTypeAny, {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }, {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }>, "many">>;
                    }, "strict", z.ZodTypeAny, {
                        message?: string | undefined;
                        done?: boolean | undefined;
                        result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                        learnings?: {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }[] | undefined;
                        issue?: string | undefined;
                        invocations?: {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }[] | undefined;
                    }, {
                        message?: string | undefined;
                        done?: boolean | undefined;
                        result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                        learnings?: {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }[] | undefined;
                        issue?: string | undefined;
                        invocations?: {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }[] | undefined;
                    }>;
                }, {
                    id: z.ZodString;
                    createdAt: z.ZodOptional<z.ZodDate>;
                    pending: z.ZodOptional<z.ZodBoolean>;
                    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
                }>, "strip", z.ZodTypeAny, {
                    type: "agent";
                    id: string;
                    data: {
                        message?: string | undefined;
                        done?: boolean | undefined;
                        result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                        learnings?: {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }[] | undefined;
                        issue?: string | undefined;
                        invocations?: {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }[] | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }, {
                    type: "agent";
                    id: string;
                    data: {
                        message?: string | undefined;
                        done?: boolean | undefined;
                        result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                        learnings?: {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }[] | undefined;
                        issue?: string | undefined;
                        invocations?: {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }[] | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }>, z.ZodObject<z.objectUtil.extendShape<{
                    type: z.ZodLiteral<"invocation-result">;
                    data: z.ZodObject<{
                        id: z.ZodString;
                        toolName: z.ZodString;
                        resultType: z.ZodEnum<["resolution", "rejection"]>;
                        result: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
                    }, "strict", z.ZodTypeAny, {
                        id: string;
                        toolName: string;
                        resultType: "resolution" | "rejection";
                        result: {} & {
                            [k: string]: unknown;
                        };
                    }, {
                        id: string;
                        toolName: string;
                        resultType: "resolution" | "rejection";
                        result: {} & {
                            [k: string]: unknown;
                        };
                    }>;
                }, {
                    id: z.ZodString;
                    createdAt: z.ZodOptional<z.ZodDate>;
                    pending: z.ZodOptional<z.ZodBoolean>;
                    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
                }>, "strip", z.ZodTypeAny, {
                    type: "invocation-result";
                    id: string;
                    data: {
                        id: string;
                        toolName: string;
                        resultType: "resolution" | "rejection";
                        result: {} & {
                            [k: string]: unknown;
                        };
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }, {
                    type: "invocation-result";
                    id: string;
                    data: {
                        id: string;
                        toolName: string;
                        resultType: "resolution" | "rejection";
                        result: {} & {
                            [k: string]: unknown;
                        };
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }>, z.ZodObject<z.objectUtil.extendShape<{
                    type: z.ZodLiteral<"human">;
                    data: z.ZodObject<{
                        message: z.ZodString;
                        details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                    }, "strict", z.ZodTypeAny, {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }, {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }>;
                }, {
                    id: z.ZodString;
                    createdAt: z.ZodOptional<z.ZodDate>;
                    pending: z.ZodOptional<z.ZodBoolean>;
                    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
                }>, "strip", z.ZodTypeAny, {
                    type: "human";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }, {
                    type: "human";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }>, z.ZodObject<z.objectUtil.extendShape<{
                    type: z.ZodLiteral<"template">;
                    data: z.ZodObject<{
                        message: z.ZodString;
                        details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                    }, "strict", z.ZodTypeAny, {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }, {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }>;
                }, {
                    id: z.ZodString;
                    createdAt: z.ZodOptional<z.ZodDate>;
                    pending: z.ZodOptional<z.ZodBoolean>;
                    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
                }>, "strip", z.ZodTypeAny, {
                    type: "template";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }, {
                    type: "template";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }>, z.ZodObject<z.objectUtil.extendShape<{
                    type: z.ZodLiteral<"supervisor">;
                    data: z.ZodObject<{
                        message: z.ZodString;
                        details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                    }, "strict", z.ZodTypeAny, {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }, {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }>;
                }, {
                    id: z.ZodString;
                    createdAt: z.ZodOptional<z.ZodDate>;
                    pending: z.ZodOptional<z.ZodBoolean>;
                    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
                }>, "strip", z.ZodTypeAny, {
                    type: "supervisor";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }, {
                    type: "supervisor";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }>, z.ZodObject<z.objectUtil.extendShape<{
                    type: z.ZodLiteral<"agent-invalid">;
                    data: z.ZodObject<{
                        message: z.ZodString;
                        details: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
                    }, "strict", z.ZodTypeAny, {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }, {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    }>;
                }, {
                    id: z.ZodString;
                    createdAt: z.ZodOptional<z.ZodDate>;
                    pending: z.ZodOptional<z.ZodBoolean>;
                    metadata: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
                }>, "strip", z.ZodTypeAny, {
                    type: "agent-invalid";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }, {
                    type: "agent-invalid";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                }>]>, "many">;
                activity: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    type: z.ZodString;
                    machineId: z.ZodNullable<z.ZodString>;
                    createdAt: z.ZodDate;
                    jobId: z.ZodNullable<z.ZodString>;
                    targetFn: z.ZodNullable<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    type: string;
                    id: string;
                    createdAt: Date;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                }, {
                    type: string;
                    id: string;
                    createdAt: Date;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                }>, "many">;
                jobs: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    status: z.ZodString;
                    targetFn: z.ZodString;
                    resultType: z.ZodNullable<z.ZodString>;
                    createdAt: z.ZodDate;
                    approved: z.ZodNullable<z.ZodBoolean>;
                    approvalRequested: z.ZodNullable<z.ZodBoolean>;
                }, "strip", z.ZodTypeAny, {
                    status: string;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    targetFn: string;
                    approved: boolean | null;
                    approvalRequested: boolean | null;
                }, {
                    status: string;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    targetFn: string;
                    approved: boolean | null;
                    approvalRequested: boolean | null;
                }>, "many">;
                run: z.ZodObject<{
                    id: z.ZodString;
                    userId: z.ZodNullable<z.ZodString>;
                    status: z.ZodNullable<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>>;
                    failureReason: z.ZodNullable<z.ZodString>;
                    test: z.ZodBoolean;
                    context: z.ZodNullable<z.ZodAny>;
                    authContext: z.ZodNullable<z.ZodAny>;
                    feedbackComment: z.ZodNullable<z.ZodString>;
                    feedbackScore: z.ZodNullable<z.ZodNumber>;
                    result: z.ZodOptional<z.ZodNullable<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>>;
                    tags: z.ZodOptional<z.ZodNullable<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    tools: z.ZodNullable<z.ZodArray<z.ZodString, "many">>;
                    name: z.ZodNullable<z.ZodString>;
                    systemPrompt: z.ZodNullable<z.ZodString>;
                    interactive: z.ZodBoolean;
                    workflowExecutionId: z.ZodNullable<z.ZodString>;
                    workflowVersion: z.ZodNullable<z.ZodNumber>;
                    workflowName: z.ZodNullable<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string | null;
                    systemPrompt: string | null;
                    tools: string[] | null;
                    interactive: boolean;
                    test: boolean;
                    feedbackScore: number | null;
                    workflowExecutionId: string | null;
                    workflowVersion: number | null;
                    workflowName: string | null;
                    failureReason: string | null;
                    feedbackComment: string | null;
                    result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | null | undefined;
                    tags?: Record<string, string> | null | undefined;
                    context?: any;
                    authContext?: any;
                }, {
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string | null;
                    systemPrompt: string | null;
                    tools: string[] | null;
                    interactive: boolean;
                    test: boolean;
                    feedbackScore: number | null;
                    workflowExecutionId: string | null;
                    workflowVersion: number | null;
                    workflowName: string | null;
                    failureReason: string | null;
                    feedbackComment: string | null;
                    result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | null | undefined;
                    tags?: Record<string, string> | null | undefined;
                    context?: any;
                    authContext?: any;
                }>;
            }, "strip", z.ZodTypeAny, {
                messages: ({
                    type: "agent";
                    id: string;
                    data: {
                        message?: string | undefined;
                        done?: boolean | undefined;
                        result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                        learnings?: {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }[] | undefined;
                        issue?: string | undefined;
                        invocations?: {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }[] | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "invocation-result";
                    id: string;
                    data: {
                        id: string;
                        toolName: string;
                        resultType: "resolution" | "rejection";
                        result: {} & {
                            [k: string]: unknown;
                        };
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "human";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "template";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "supervisor";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "agent-invalid";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                })[];
                activity: {
                    type: string;
                    id: string;
                    createdAt: Date;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                }[];
                jobs: {
                    status: string;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    targetFn: string;
                    approved: boolean | null;
                    approvalRequested: boolean | null;
                }[];
                run: {
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string | null;
                    systemPrompt: string | null;
                    tools: string[] | null;
                    interactive: boolean;
                    test: boolean;
                    feedbackScore: number | null;
                    workflowExecutionId: string | null;
                    workflowVersion: number | null;
                    workflowName: string | null;
                    failureReason: string | null;
                    feedbackComment: string | null;
                    result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | null | undefined;
                    tags?: Record<string, string> | null | undefined;
                    context?: any;
                    authContext?: any;
                };
            }, {
                messages: ({
                    type: "agent";
                    id: string;
                    data: {
                        message?: string | undefined;
                        done?: boolean | undefined;
                        result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                        learnings?: {
                            summary: string;
                            entities: {
                                type: "tool";
                                name: string;
                            }[];
                            relevance: {
                                temporality: "transient" | "persistent";
                            };
                        }[] | undefined;
                        issue?: string | undefined;
                        invocations?: {
                            toolName: string;
                            input: {} & {
                                [k: string]: unknown;
                            };
                            id?: string | undefined;
                            reasoning?: string | undefined;
                        }[] | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "invocation-result";
                    id: string;
                    data: {
                        id: string;
                        toolName: string;
                        resultType: "resolution" | "rejection";
                        result: {} & {
                            [k: string]: unknown;
                        };
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "human";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "template";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "supervisor";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                } | {
                    type: "agent-invalid";
                    id: string;
                    data: {
                        message: string;
                        details?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
                    };
                    pending?: boolean | undefined;
                    createdAt?: Date | undefined;
                    metadata?: Record<string, unknown> | null | undefined;
                })[];
                activity: {
                    type: string;
                    id: string;
                    createdAt: Date;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                }[];
                jobs: {
                    status: string;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    targetFn: string;
                    approved: boolean | null;
                    approvalRequested: boolean | null;
                }[];
                run: {
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string | null;
                    systemPrompt: string | null;
                    tools: string[] | null;
                    interactive: boolean;
                    test: boolean;
                    feedbackScore: number | null;
                    workflowExecutionId: string | null;
                    workflowVersion: number | null;
                    workflowName: string | null;
                    failureReason: string | null;
                    feedbackComment: string | null;
                    result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | null | undefined;
                    tags?: Record<string, string> | null | undefined;
                    context?: any;
                    authContext?: any;
                };
            }>;
        };
    };
    readonly createNangoSession: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly method: "POST";
        readonly body: z.ZodObject<{
            integration: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            integration: string;
        }, {
            integration: string;
        }>;
        path: "/clusters/:clusterId/nango/sessions";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodObject<{
                token: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                token: string;
            }, {
                token: string;
            }>;
        };
    };
    readonly createNangoEvent: {
        readonly method: "POST";
        readonly body: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
        path: "/nango/events";
        headers: z.ZodObject<{
            "x-nango-signature": z.ZodString;
        }, "strip", z.ZodTypeAny, {
            "x-nango-signature": string;
        }, {
            "x-nango-signature": string;
        }>;
        responses: {
            readonly 200: z.ZodUndefined;
        };
    };
    readonly listWorkflows: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/workflows";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                version: z.ZodNumber;
                description: z.ZodNullable<z.ZodString>;
                schema: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                version: number;
                name: string;
                description: string | null;
                schema: string | null;
            }, {
                version: number;
                name: string;
                description: string | null;
                schema: string | null;
            }>, "many">;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly createWorkflowExecution: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            workflowName: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            workflowName: string;
        }, {
            clusterId: string;
            workflowName: string;
        }>;
        readonly method: "POST";
        readonly body: z.ZodObject<{
            executionId: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            executionId: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            executionId: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>;
        path: "/clusters/:clusterId/workflows/:workflowName/executions";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 201: z.ZodObject<{
                jobId: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                jobId: string;
            }, {
                jobId: string;
            }>;
        };
    };
    readonly createWorkflowLogLegacy: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            executionId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            executionId: string;
            clusterId: string;
        }, {
            executionId: string;
            clusterId: string;
        }>;
        readonly method: "POST";
        readonly body: z.ZodObject<{
            status: z.ZodEnum<["info", "warn", "error"]>;
            data: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
        }, "strip", z.ZodTypeAny, {
            status: "info" | "warn" | "error";
            data: {} & {
                [k: string]: unknown;
            };
        }, {
            status: "info" | "warn" | "error";
            data: {} & {
                [k: string]: unknown;
            };
        }>;
        path: "/clusters/:clusterId/workflow-executions/:executionId/logs";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 201: z.ZodObject<{
                id: z.ZodString;
                status: z.ZodEnum<["info", "warn", "error"]>;
                workflowExecutionId: z.ZodString;
                createdAt: z.ZodDate;
            }, "strip", z.ZodTypeAny, {
                status: "info" | "warn" | "error";
                id: string;
                createdAt: Date;
                workflowExecutionId: string;
            }, {
                status: "info" | "warn" | "error";
                id: string;
                createdAt: Date;
                workflowExecutionId: string;
            }>;
        };
    };
    readonly createWorkflowLog: {
        readonly pathParams: z.ZodObject<{
            workflowName: z.ZodString;
            clusterId: z.ZodString;
            executionId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            executionId: string;
            clusterId: string;
            workflowName: string;
        }, {
            executionId: string;
            clusterId: string;
            workflowName: string;
        }>;
        readonly method: "POST";
        readonly body: z.ZodObject<{
            status: z.ZodEnum<["info", "warn", "error"]>;
            data: z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>;
        }, "strip", z.ZodTypeAny, {
            status: "info" | "warn" | "error";
            data: {} & {
                [k: string]: unknown;
            };
        }, {
            status: "info" | "warn" | "error";
            data: {} & {
                [k: string]: unknown;
            };
        }>;
        path: "/clusters/:clusterId/workflows/:workflowName/executions/:executionId/logs";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 201: z.ZodUndefined;
        };
    };
    readonly createWorkflowNotification: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            executionId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            executionId: string;
            clusterId: string;
        }, {
            executionId: string;
            clusterId: string;
        }>;
        readonly method: "POST";
        readonly body: z.ZodObject<{
            destination: z.ZodOptional<z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
                type: z.ZodLiteral<"slack">;
                channelId: z.ZodOptional<z.ZodString>;
                threadId: z.ZodOptional<z.ZodString>;
                userId: z.ZodOptional<z.ZodString>;
                email: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                type: "slack";
                channelId?: string | undefined;
                threadId?: string | undefined;
                userId?: string | undefined;
                email?: string | undefined;
            }, {
                type: "slack";
                channelId?: string | undefined;
                threadId?: string | undefined;
                userId?: string | undefined;
                email?: string | undefined;
            }>, z.ZodObject<{
                type: z.ZodLiteral<"email">;
                email: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                type: "email";
                email: string;
            }, {
                type: "email";
                email: string;
            }>]>>;
            message: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            message?: string | undefined;
            destination?: {
                type: "slack";
                channelId?: string | undefined;
                threadId?: string | undefined;
                userId?: string | undefined;
                email?: string | undefined;
            } | {
                type: "email";
                email: string;
            } | undefined;
        }, {
            message?: string | undefined;
            destination?: {
                type: "slack";
                channelId?: string | undefined;
                threadId?: string | undefined;
                userId?: string | undefined;
                email?: string | undefined;
            } | {
                type: "email";
                email: string;
            } | undefined;
        }>;
        path: "/clusters/:clusterId/workflows/:workflowName/executions/:executionId/notification";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 201: z.ZodUndefined;
        };
    };
    readonly listWorkflowExecutions: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly query: z.ZodObject<{
            workflowName: z.ZodOptional<z.ZodString>;
            workflowVersion: z.ZodOptional<z.ZodString>;
            workflowExecutionId: z.ZodOptional<z.ZodString>;
            workflowExecutionStatus: z.ZodOptional<z.ZodEnum<["pending", "running", "success", "failure", "stalled", "interrupted"]>>;
            limit: z.ZodDefault<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            limit: number;
            workflowExecutionId?: string | undefined;
            workflowVersion?: string | undefined;
            workflowName?: string | undefined;
            workflowExecutionStatus?: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted" | undefined;
        }, {
            limit?: number | undefined;
            workflowExecutionId?: string | undefined;
            workflowVersion?: string | undefined;
            workflowName?: string | undefined;
            workflowExecutionStatus?: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted" | undefined;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/workflow-executions";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                execution: z.ZodObject<{
                    id: z.ZodString;
                    workflowName: z.ZodString;
                    workflowVersion: z.ZodNumber;
                    jobId: z.ZodString;
                    createdAt: z.ZodDate;
                    updatedAt: z.ZodDate;
                }, "strip", z.ZodTypeAny, {
                    id: string;
                    createdAt: Date;
                    jobId: string;
                    workflowVersion: number;
                    workflowName: string;
                    updatedAt: Date;
                }, {
                    id: string;
                    createdAt: Date;
                    jobId: string;
                    workflowVersion: number;
                    workflowName: string;
                    updatedAt: Date;
                }>;
                job: z.ZodObject<{
                    id: z.ZodNullable<z.ZodString>;
                    status: z.ZodNullable<z.ZodEnum<["pending", "running", "success", "failure", "stalled", "interrupted"]>>;
                    targetFn: z.ZodNullable<z.ZodString>;
                    executingMachineId: z.ZodOptional<z.ZodNullable<z.ZodString>>;
                    targetArgs: z.ZodNullable<z.ZodString>;
                    result: z.ZodNullable<z.ZodString>;
                    resultType: z.ZodNullable<z.ZodString>;
                    createdAt: z.ZodDate;
                    approvalRequested: z.ZodOptional<z.ZodNullable<z.ZodBoolean>>;
                    approved: z.ZodOptional<z.ZodNullable<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    status: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted" | null;
                    id: string | null;
                    resultType: string | null;
                    result: string | null;
                    createdAt: Date;
                    targetFn: string | null;
                    targetArgs: string | null;
                    executingMachineId?: string | null | undefined;
                    approved?: boolean | null | undefined;
                    approvalRequested?: boolean | null | undefined;
                }, {
                    status: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted" | null;
                    id: string | null;
                    resultType: string | null;
                    result: string | null;
                    createdAt: Date;
                    targetFn: string | null;
                    targetArgs: string | null;
                    executingMachineId?: string | null | undefined;
                    approved?: boolean | null | undefined;
                    approvalRequested?: boolean | null | undefined;
                }>;
                runs: z.ZodArray<z.ZodObject<{
                    id: z.ZodNullable<z.ZodString>;
                    name: z.ZodNullable<z.ZodString>;
                    createdAt: z.ZodNullable<z.ZodDate>;
                    status: z.ZodNullable<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>>;
                    failureReason: z.ZodNullable<z.ZodString>;
                    type: z.ZodNullable<z.ZodEnum<["single-step", "multi-step"]>>;
                }, "strip", z.ZodTypeAny, {
                    type: "single-step" | "multi-step" | null;
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    id: string | null;
                    name: string | null;
                    createdAt: Date | null;
                    failureReason: string | null;
                }, {
                    type: "single-step" | "multi-step" | null;
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    id: string | null;
                    name: string | null;
                    createdAt: Date | null;
                    failureReason: string | null;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                runs: {
                    type: "single-step" | "multi-step" | null;
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    id: string | null;
                    name: string | null;
                    createdAt: Date | null;
                    failureReason: string | null;
                }[];
                execution: {
                    id: string;
                    createdAt: Date;
                    jobId: string;
                    workflowVersion: number;
                    workflowName: string;
                    updatedAt: Date;
                };
                job: {
                    status: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted" | null;
                    id: string | null;
                    resultType: string | null;
                    result: string | null;
                    createdAt: Date;
                    targetFn: string | null;
                    targetArgs: string | null;
                    executingMachineId?: string | null | undefined;
                    approved?: boolean | null | undefined;
                    approvalRequested?: boolean | null | undefined;
                };
            }, {
                runs: {
                    type: "single-step" | "multi-step" | null;
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    id: string | null;
                    name: string | null;
                    createdAt: Date | null;
                    failureReason: string | null;
                }[];
                execution: {
                    id: string;
                    createdAt: Date;
                    jobId: string;
                    workflowVersion: number;
                    workflowName: string;
                    updatedAt: Date;
                };
                job: {
                    status: "pending" | "running" | "success" | "failure" | "stalled" | "interrupted" | null;
                    id: string | null;
                    resultType: string | null;
                    result: string | null;
                    createdAt: Date;
                    targetFn: string | null;
                    targetArgs: string | null;
                    executingMachineId?: string | null | undefined;
                    approved?: boolean | null | undefined;
                    approvalRequested?: boolean | null | undefined;
                };
            }>, "many">;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly getWorkflowExecutionTimeline: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            workflowName: z.ZodString;
            executionId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            executionId: string;
            clusterId: string;
            workflowName: string;
        }, {
            executionId: string;
            clusterId: string;
            workflowName: string;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/workflows/:workflowName/executions/:executionId/timeline";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 404: z.ZodUndefined;
            readonly 200: z.ZodObject<{
                events: z.ZodArray<z.ZodObject<{
                    type: z.ZodString;
                    machineId: z.ZodNullable<z.ZodString>;
                    createdAt: z.ZodDate;
                    jobId: z.ZodNullable<z.ZodString>;
                    targetFn: z.ZodNullable<z.ZodString>;
                    resultType: z.ZodNullable<z.ZodString>;
                    status: z.ZodNullable<z.ZodString>;
                    runId: z.ZodNullable<z.ZodString>;
                    meta: z.ZodNullable<z.ZodAny>;
                    id: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    type: string;
                    status: string | null;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    runId: string | null;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                    meta?: any;
                }, {
                    type: string;
                    status: string | null;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    runId: string | null;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                    meta?: any;
                }>, "many">;
                runs: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    name: z.ZodString;
                    userId: z.ZodNullable<z.ZodString>;
                    failureReason: z.ZodNullable<z.ZodString>;
                    createdAt: z.ZodDate;
                    type: z.ZodEnum<["single-step", "multi-step"]>;
                    status: z.ZodNullable<z.ZodEnum<["pending", "running", "paused", "done", "failed"]>>;
                }, "strip", z.ZodTypeAny, {
                    type: "single-step" | "multi-step";
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string;
                    createdAt: Date;
                    failureReason: string | null;
                }, {
                    type: "single-step" | "multi-step";
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string;
                    createdAt: Date;
                    failureReason: string | null;
                }>, "many">;
                execution: z.ZodObject<{
                    id: z.ZodString;
                    workflowName: z.ZodString;
                    workflowVersion: z.ZodNumber;
                    createdAt: z.ZodDate;
                    job: z.ZodObject<{
                        id: z.ZodString;
                        status: z.ZodString;
                        targetFn: z.ZodString;
                        executingMachineId: z.ZodNullable<z.ZodString>;
                        targetArgs: z.ZodString;
                        result: z.ZodNullable<z.ZodString>;
                        resultType: z.ZodNullable<z.ZodString>;
                        createdAt: z.ZodDate;
                        approved: z.ZodNullable<z.ZodBoolean>;
                        approvalRequested: z.ZodNullable<z.ZodBoolean>;
                    }, "strip", z.ZodTypeAny, {
                        status: string;
                        id: string;
                        resultType: string | null;
                        result: string | null;
                        createdAt: Date;
                        targetFn: string;
                        executingMachineId: string | null;
                        targetArgs: string;
                        approved: boolean | null;
                        approvalRequested: boolean | null;
                    }, {
                        status: string;
                        id: string;
                        resultType: string | null;
                        result: string | null;
                        createdAt: Date;
                        targetFn: string;
                        executingMachineId: string | null;
                        targetArgs: string;
                        approved: boolean | null;
                        approvalRequested: boolean | null;
                    }>;
                }, "strip", z.ZodTypeAny, {
                    id: string;
                    createdAt: Date;
                    workflowVersion: number;
                    workflowName: string;
                    job: {
                        status: string;
                        id: string;
                        resultType: string | null;
                        result: string | null;
                        createdAt: Date;
                        targetFn: string;
                        executingMachineId: string | null;
                        targetArgs: string;
                        approved: boolean | null;
                        approvalRequested: boolean | null;
                    };
                }, {
                    id: string;
                    createdAt: Date;
                    workflowVersion: number;
                    workflowName: string;
                    job: {
                        status: string;
                        id: string;
                        resultType: string | null;
                        result: string | null;
                        createdAt: Date;
                        targetFn: string;
                        executingMachineId: string | null;
                        targetArgs: string;
                        approved: boolean | null;
                        approvalRequested: boolean | null;
                    };
                }>;
                memos: z.ZodArray<z.ZodObject<{
                    key: z.ZodString;
                    value: z.ZodString;
                    createdAt: z.ZodDate;
                }, "strip", z.ZodTypeAny, {
                    value: string;
                    createdAt: Date;
                    key: string;
                }, {
                    value: string;
                    createdAt: Date;
                    key: string;
                }>, "many">;
                structured: z.ZodArray<z.ZodObject<{
                    key: z.ZodString;
                    value: z.ZodString;
                    createdAt: z.ZodDate;
                }, "strip", z.ZodTypeAny, {
                    value: string;
                    createdAt: Date;
                    key: string;
                }, {
                    value: string;
                    createdAt: Date;
                    key: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                runs: {
                    type: "single-step" | "multi-step";
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string;
                    createdAt: Date;
                    failureReason: string | null;
                }[];
                execution: {
                    id: string;
                    createdAt: Date;
                    workflowVersion: number;
                    workflowName: string;
                    job: {
                        status: string;
                        id: string;
                        resultType: string | null;
                        result: string | null;
                        createdAt: Date;
                        targetFn: string;
                        executingMachineId: string | null;
                        targetArgs: string;
                        approved: boolean | null;
                        approvalRequested: boolean | null;
                    };
                };
                events: {
                    type: string;
                    status: string | null;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    runId: string | null;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                    meta?: any;
                }[];
                memos: {
                    value: string;
                    createdAt: Date;
                    key: string;
                }[];
                structured: {
                    value: string;
                    createdAt: Date;
                    key: string;
                }[];
            }, {
                runs: {
                    type: "single-step" | "multi-step";
                    status: "pending" | "running" | "paused" | "done" | "failed" | null;
                    userId: string | null;
                    id: string;
                    name: string;
                    createdAt: Date;
                    failureReason: string | null;
                }[];
                execution: {
                    id: string;
                    createdAt: Date;
                    workflowVersion: number;
                    workflowName: string;
                    job: {
                        status: string;
                        id: string;
                        resultType: string | null;
                        result: string | null;
                        createdAt: Date;
                        targetFn: string;
                        executingMachineId: string | null;
                        targetArgs: string;
                        approved: boolean | null;
                        approvalRequested: boolean | null;
                    };
                };
                events: {
                    type: string;
                    status: string | null;
                    id: string;
                    resultType: string | null;
                    createdAt: Date;
                    runId: string | null;
                    jobId: string | null;
                    targetFn: string | null;
                    machineId: string | null;
                    meta?: any;
                }[];
                memos: {
                    value: string;
                    createdAt: Date;
                    key: string;
                }[];
                structured: {
                    value: string;
                    createdAt: Date;
                    key: string;
                }[];
            }>;
        };
    };
    readonly setClusterKV: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            key: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            key: string;
        }, {
            clusterId: string;
            key: string;
        }>;
        readonly method: "PUT";
        readonly body: z.ZodObject<{
            onConflict: z.ZodEnum<["replace", "doNothing"]>;
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            value: string;
            onConflict: "replace" | "doNothing";
        }, {
            value: string;
            onConflict: "replace" | "doNothing";
        }>;
        path: "/clusters/:clusterId/keys/:key";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodObject<{
                value: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                value: string;
            }, {
                value: string;
            }>;
        };
    };
    readonly getClusterKV: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
            key: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
            key: string;
        }, {
            clusterId: string;
            key: string;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/keys/:key/value";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodObject<{
                value: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                value: string;
            }, {
                value: string;
            }>;
        };
    };
    readonly listTools: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly method: "GET";
        path: "/clusters/:clusterId/tools";
        headers: z.ZodObject<{
            authorization: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
        }, {
            authorization: string;
        }>;
        responses: {
            readonly 200: z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                description: z.ZodNullable<z.ZodString>;
                schema: z.ZodNullable<z.ZodString>;
                config: z.ZodNullable<z.ZodObject<{
                    cache: z.ZodOptional<z.ZodObject<{
                        keyPath: z.ZodString;
                        ttlSeconds: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        keyPath: string;
                        ttlSeconds: number;
                    }, {
                        keyPath: string;
                        ttlSeconds: number;
                    }>>;
                    retryCountOnStall: z.ZodOptional<z.ZodNumber>;
                    timeoutSeconds: z.ZodOptional<z.ZodNumber>;
                    private: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                }, {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                }>>;
                shouldExpire: z.ZodBoolean;
                lastPingAt: z.ZodNullable<z.ZodDate>;
                createdAt: z.ZodDate;
            }, "strip", z.ZodTypeAny, {
                name: string;
                createdAt: Date;
                description: string | null;
                schema: string | null;
                config: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | null;
                lastPingAt: Date | null;
                shouldExpire: boolean;
            }, {
                name: string;
                createdAt: Date;
                description: string | null;
                schema: string | null;
                config: {
                    cache?: {
                        keyPath: string;
                        ttlSeconds: number;
                    } | undefined;
                    retryCountOnStall?: number | undefined;
                    timeoutSeconds?: number | undefined;
                    private?: boolean | undefined;
                } | null;
                lastPingAt: Date | null;
                shouldExpire: boolean;
            }>, "many">;
            readonly 401: z.ZodUndefined;
        };
    };
    readonly l1mStructured: {
        readonly pathParams: z.ZodObject<{
            clusterId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clusterId: string;
        }, {
            clusterId: string;
        }>;
        readonly method: "POST";
        readonly body: z.ZodObject<{
            input: z.ZodString;
            instructions: z.ZodOptional<z.ZodString>;
            schema: z.ZodRecord<z.ZodString, z.ZodAny>;
        }, "strip", z.ZodTypeAny, {
            input: string;
            schema: Record<string, any>;
            instructions?: string | undefined;
        }, {
            input: string;
            schema: Record<string, any>;
            instructions?: string | undefined;
        }>;
        path: "/clusters/:clusterId/l1m/structured";
        headers: z.ZodObject<{
            authorization: z.ZodString;
            "x-provider-model": z.ZodOptional<z.ZodString>;
            "x-provider-url": z.ZodOptional<z.ZodString>;
            "x-provider-key": z.ZodOptional<z.ZodString>;
            "x-max-attempts": z.ZodDefault<z.ZodOptional<z.ZodString>>;
            "x-cache-ttl": z.ZodOptional<z.ZodString>;
            "x-workflow-execution-id": z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            authorization: string;
            "x-max-attempts": string;
            "x-provider-key"?: string | undefined;
            "x-provider-model"?: string | undefined;
            "x-provider-url"?: string | undefined;
            "x-cache-ttl"?: string | undefined;
            "x-workflow-execution-id"?: string | undefined;
        }, {
            authorization: string;
            "x-provider-key"?: string | undefined;
            "x-provider-model"?: string | undefined;
            "x-provider-url"?: string | undefined;
            "x-max-attempts"?: string | undefined;
            "x-cache-ttl"?: string | undefined;
            "x-workflow-execution-id"?: string | undefined;
        }>;
        responses: {
            readonly 200: z.ZodObject<{
                data: z.ZodRecord<z.ZodString, z.ZodAny>;
            }, "strip", z.ZodTypeAny, {
                data: Record<string, any>;
            }, {
                data: Record<string, any>;
            }>;
        };
    };
};
